Creating Item Cards

Item cards hold the master data required to buy, store, produce, account, track, sell, and ship items.

System Preconditions

  • Item units of measure are set up

  • All posting groups are set up

Gather all item data concerning naming, cost and price, purchasing, production, reordering, and storage.

To Fill in the General Tab:

  1. To open a new card, press F3,

Note

To copy from another item card, on the relevant item card, click Edit, Select and then press Ctrl+C to copy all selected data. Press F3 to open a new empty item card, and press Ctrl+V to paste the data into the new card. Click OK to the 2 messages, and then overwrite the No. field with the number of your new item.

  2. In the Description field, enter the name of the item.

  3. Look up from the Base Unit of Measure field to create and select a code (for example PCS).

  4. In the Item Category Code field, you can specify a product group from which assigned default values will be created for the item, including posting groups (see Posting Group fields below).

Most of the fields on the right-hand side of the tab provide lookups to detailed information about the item’s inventory level and its current supply and demand situation.

  5. In the Blocked field, you can place a check mark to define that the item can not be used in any way by the system. This means, among others, that the item can not be posted as consumed from a production journal (see Register Consumption and Output).

To Fill in the Invoicing Tab:

  1. In the Costing Method field, you must select the costing method that will determine how the program calculates the unit cost of the item and the cost of outbound items. Standard is typically used for manufacturing items. Specific is typically used for serial-numbered items.

  2. If you have chosen Standard costing method, you must fill in the Standard Cost field with an appropriate value for the cost of one unit of the item. The Unit Cost field initializes order lines and journal lines as they are created. For items using Standard costing method, this field contains the standard cost.

  3. For costing methods other than Standard, fill in the Unit Cost field with an appropriate value when you create the item. When you run the Adjust Cost – Item Entries batch job, the program updates the field so it contains the most recent adjusted average unit cost.

  4. Fill in the Unit Price field with the sales price of one unit of the item. The program updates the Last Direct Cost field whenever a purchase is invoiced.

  5. Fill in the Posting Group fields to be able post transactions with the item.

The Net Invoiced Quantity field is updated by the program

The Sales Unit of Measure field is filled with the base unit of measure, but you can change it.

To Fill in the Replenishment Tab (for Purchased Items):

  1. In the Replenishment System field, select Purchase to indicate that your standard way of supplying the item is by buying it.

  2. In the Vendor No. field, specify a default supplier of the item. The program will suggest this vendor when planning for the item.

  3. In the Vendor Item No. field, enter the vendor’s own item identification (if this is different from yours).

  4. Enter a date formula in the Lead Time Calculation field to specify the time it takes to replenish this purchased item (for example, 1W). The program uses this field in date calculations, as follows:

Order Date + Default Safety Lead Time + Lead Time Calculation = Planned Receipt Date.

To Fill in the Replenishment Tab (for Produced Items):

  1. In the Replenishment System field, select Prod. Order to indicate that your standard way of supplying the item is by producing it.

  2. In the Manufacturing Policy field, select Make-to-order to have the program consider all BOM levels during planning.

Note

If both the parent item and its subassemblies use Make-to-Order, the planning logic will create a production order with subassembly production order lines indented under the parent’s order line.

  3. In the Routing No. field, look up and select a routing to govern the item’s manufacturing process. A specific routing must be set up and certified before it can be used for an item card. (See Create a Routing).

  4. In the Production BOM No. field, look up and select a production BOM to govern the product structure of the item. A specific production BOM must be set up and certified before it can be used for an item card (see Create a Production BOM).

  5. Select in the Flushing Method field whether material consumption in production should be calculated and posted manually (by selecting Manual) or automatically by selecting either of the following two methods: Forward, to have the program automatically calculate and post consumption when the production order is released, or Backward, to have the program automatically calculate and post consumption when the released production order is finished.

  6. Specify in the Scrap % field the percentage of the item that you expect to be scrapped in the production process. The program uses this percentage when it calculates unit prices and net requirements.

  7. In the Lot Size field, specify how many units of the item are produced in one production lot. You can still create orders of a different quantity. The program uses this number to calculate the item’s standard cost and to distribute the fixed costs of manufacturing the lot.

To Fill in the Planning Tab:

Note

Most of the fields on this tab relate to the use of automatic planning and those will not be covered in Quick Guides.

  1. In the Reordering Policy field, select Blank if you are strictly using manual order planning (see Plan for New Demand).

  2. In the Reserve field you can determine whether the program will allow reservation for this item. The option you select here is carried to sales lines for the item and will override a reservation option on the sales header (carried from the customer card). The exception to this is if you select Optional in this field and you enter the item on a sales line where the sales header contains Always, then the sales line will be assigned the option Always.

  3. Define in the Order Tracking Policy field whether the program should create order tracking links between matching supply and demand. Select Tracking Only to have the program create order tracking entries in two circumstances: Dynamically, when creating any order that may be matched by an existing order and directly, when creating a supply order specifically for the demand. Select None if the program should not create order tracking entries at all.

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Create a Work Center Calendar

A work center calendar specifies the working days/hours, shifts, holidays, and absence that determine the work center’s gross available capacity (measured in time) according to its defined efficiency and capacity values. Creating and enabling a work center calendar involves a few preparatory tasks:

As a foundation for calculating a specific work center calendar, you must first set up one or more general shop calendars. A shop calendar defines a standard working week in terms of starting and ending times of each working day and its work shift relation. In addition, the shop calendar defines the fixed holidays during a year.

  1. Gather all data about work times on your shop floor.

To Create Work Shifts

Even if your work centers do not work in different work shifts, the system requires at least one work shift code.

  1. Open the [image] Work Shifts window.

  2. On a blank line, enter a number in the Code field to identify the work shift (for example 1).

  3. Describe the work shift in the Description field (for example 1st shift).

  4. Continue to fill in lines for a second or third work shift if relevant.

To Set up a Shop Calendar

  1. Open the [image] Shop Calendars window.

  2. On a blank line, enter a number in the Code field to identify the shop calendar (for example 1).

  3. Describe the shop calendar in the Description field (for example One shift Monday-Friday).

The initial naming of the new shop calendar is done and we can proceed to define its contents:

  4. Select the new line and click Shop Cal., Working Days to open a blank Shop Calendar Working Days window with the name defined above.

  5. Proceed to define a complete working week with the starting and ending times of each day and the work shift code that each line relates to, for example:

Monday 07:00 15:00 1

Tuesday 07:00 15:00 1

etc.

If you need a shop calendar with 2 work shifts, you must fill it in like this example:

Monday 07:00 15:00 1

Monday 15:00 23:00 2

Tuesday 07:00 15:00 1

Tuesday 15:00 23:00 2

etc.

Any week days that you do not define in the shop calendar, for example Saturday and Sunday, are simply considered non-working days and will have zero available capacity in a work center calendar.

When all the working days of a week are defined, you can close the Shop Calendar Working Days window and proceed to enter holidays:

  6. Back in the Shop Calendars window, select the new shop calendar line and click Shop Cal., Holidays to open the shop Calendar Holidays window.

  7. Proceed to define the holidays of the year by entering starting date/time and ending time and description of each holiday on individual lines, for example:

04/07/04 0:00:00 23:59:00 Summer Holiday

05/07/04 0:00:00 23:59:00 Summer Holiday

06/07/04 0:00:00 23:59:00 Summer Holiday

The defined holidays will have zero available capacity in a work center calendar.

The shop calendar can now be assigned to a work center in order to calculate the work shop calendar that will govern all operation scheduling over time at that work center.

To Calculate a Work Center Calendar

  1. On a work center card, go to the Scheduling tab and select in the Shop Calendar Code field which shop calendar to use as the foundation for a work center calendar at this work center (for example One shift Monday-Friday).

  2. Click Planning, Calendar to open the Work Center Calendar window.

The left side of the window lists the work centers that are set up. The right side shows a time calendar displaying the available capacity values per working day in the defined unit of measure, for example 480 (minutes). Each line represents the calendar of one work center.

Note: You can also select to view the capacity values per week or month by shifting between the date-format buttons in the lower left-hand corner of the window.

Our newly created and assigned shop calendar is not yet reflected in the calendar line of the selected work center – it must first be calculated:

  3. Click Functions, Calculate to open the Calculate Work Center Calendar request from.

  4. On the Work Center tab you can place a filter to only calculate for one work center. If you do not filter, all existing work center calendars will be calculated.

  5. On the Options tab, define the starting and ending dates of the calendar period that should be calculated, for example one year; from 01/01/04 to 31/12/04. Then click OK to calculate.

Calendar entries are now created (or updated) showing the available capacity per day (or other period) according to the following 3 sets of master data:

  • The working days and shift defined in the assigned shop calendar

  • The value in the Capacity field on the work center card

  • The value in the Efficiency field on the work center card.

The calculated work center calendar will now define when and how much capacity is available at this work center, and as such, it governs the detailed scheduling of operations performed at the work center. (See Reschedule an Operation).

To Record Work Center Absence

In addition to the non-working time defined in the shop calendar, you can define absence time directly in the calculated work center calendar:

  1. In the Work Center Calendar window, select the work center and calendar day when the absence time should be recorded and then click Planning, Absence.

  2. In the Absence window, define the starting time, ending time and description of that day’s absence, for example:

25/01/01 08:00 10:00 Maintenance

  1. Click Absence, Update and close the Absence window.

The capacity of the selected day has now decreased by the recorded absence time.

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Setting Up Manufacturing

To effectively use Manufacturing, you must set up the manufacturing system to respond to your parameters and methods of operation. There are many choices and options so that processes and procedures can be defined based on what is most efficient and effective for the way in which you run your business.

The following windows are the basis of manufacturing setup:

  • Manufacturing Setup window

  • Production Schedule Setup window

As items or part numbers are created, set up decisions and settings must be established so that the items are planned, procured, and managed in inventory based on your specifications and operations model. (see Create an Item Card)

Filling in the Manufacturing Setup Window

You use the Manufacturing Setup window to specify how you want the program to manage your manufacturing operations.

The Manufacturing Setup contains data for work shifts and the number series to be used for work centers, routings, production orders, and so on. You must also specify other options such as how you want to post work in progress.

System Preconditions

  • No. Series are set up

  • Production Forecasts are set up

  • Locations are set up

  1. Set up the program to manage manufacturing, including number series and default settings.

To Fill in the General Tab:

  • In the Normal Starting Time field, you enter the normal starting time of the workday. When refreshing a production order, the program looks to this field to get the starting time to do forward scheduling.

    • If you do not use capacity requirements planning, the BOM explosion in the planning worksheet is calculated by the lead time only.

  • In the Normal Ending Time field, you enter the normal ending time of a workday. When refreshing a production order, the program looks to this field to get the ending time to do back scheduling.

    • If you do not use capacity requirements planning, the BOM explosion in the planning worksheet is controlled by the lead time only.

  • In the Preset Output Quantity field you define what the system should show in the Output Quantity field of a production journal when it is first opened. The selection in this field does not affect the Output Journal. You can select between the following options:

    • Expected Quantity: presets the Output Quantity field to the same as the production order quantity, for all operations in a production journal.

    • Zero on All Operations: presets the Output Quantity field to zero on all operations in a production journal.

    • Zero on Last Operation: presets the Output Quantity field to zero on the last operation of a production journal and the Expected Quantity from the production order on the other lines.

  • Place a check mark in the Planning Warning field if you want the program to warn you when sales order lines meet certain conditions.

    • A warning may occur if planned sales cannot be met. For instance, a warning will be issued if a deadline which is impossible to meet is confirmed to the customer, or if a quantity which is impossible to manufacture in time is confirmed to deliver.

    • If changes are made to a sales order line that is tracked to a production order, a warning may occur so you can review and make any necessary changes to the production order.

  • Place a check mark in the Doc. No. Is Prod. Order No. field to instruct the program to use the released production order number for all ledger entries posted for the production order.

  • Place a check mark in the Dynamic Low-Level Code field if you want the program to automatically set the dynamic low-level code when a production BOM is certified.

    • If production BOM certification is time consuming, you can run the Calculate Low-Level Code batch job to globally calculate low-level code for all BOMs. This batch job must be run before the first Planning Worksheet is calculated.

    • Low-level codes must be calculated before you run the Calculate Plan batch job.

  • Place a check mark in the Cost Including Setup check box if you want the program to include the setup costs in the routing during cost calculations.

To Fill in the Numbering Tab:

On the Numbering Tab, you select the code for the number series that you want the program to use when assigning numbers to the following manufacturing-related areas:

  • Simulated Production Orders

  • Planned Production Orders

  • Firm Planned Production Orders

  • Released Production Orders

  • Work Centers

  • Machine Centers

  • Production BOMs

  • Routings

In each field, click the AssistButton [image] to see the number series in the No. Series window.

If you want to use more than one number series, you can set up a relationship between the relevant series in the No. Series Relationship window. This will allow you to use one code to represent two or more number series.

To Fill in the Planning Tab:

The fields on the Planning tab affect the information in the planning worksheet.

  • In the Current Production Forecast field, select the name of the relevant production forecast that the program will use to calculate a plan. This is a default setting that can be changed when you calculate the planning worksheet.

  • Place a check mark in the Use Forecast on Locations field to indicate whether you want the program to filter according to location when it calculates a plan. The program then nets actual demand against forecast demand for the specified location only.

    • If you leave the field blank, the program regards the production forecast as valid for all locations.

  • In the Default Safety Lead Time field, enter a date formula that the program will use as the default safety lead time if you have not filled in the Safety Lead Time field on the Item Card or the Stockkeeping Unit Card.

  • If you want the program to automatically calculate an MPS/MRP plan in one step, place a check mark in the Combined MPS/MRP Calculation field.

    • When you open the Calculate Plan - Plan. Wksh. batch job from the Planning Worksheet window, both the MPS and MRP fields will already be checked. You can remove one of the check marks if necessary.

    • If you leave the field blank, you can select either MPS or MRP on the Calculate Plan - Plan. Wksh. request form window. However, you cannot select both.

  • In the Components at Location field, select the inventory location from where the production order components are to be taken if you have not specified a location on a Stockkeeping Unit Card.

    • This field, together with the Locations Mandatory field, is very important in governing how the planning system handles demand lines with or without location codes.

    • Concerning production demand, the program will use the same location for components as the one stated on the production order. However, by filling in this field, you can redirect the components to another location. You can also fill in the Components at Location field on the Stockkeeping Unit Card. If you often need to plan for demand at locations, it is strongly advised to use the stockkeeping units feature.

  • In the Dampener (Time) field, enter a period of time during which you do not want the program to propose an action to reschedule the due date on an existing order outward in time.

    • The program then proposes such an action only after the period of time expires that you enter in the field.

    • You use a dampener in order to limit insignificant action messages when the program calculates a plan.

  • In the Dampener (% of Lot Size) field, enter a minimum quantity below which you do not want the program to propose an action to decrease the quantity on an existing order. The quantity entered in this field is a percentage of the quantity entered in the Lot Size field on the Item Card.

    • The program proposes such an action only when the quantity exceeds the amount that you enter in the field.

    • No action is proposed if the quantity is equal to the amount that you enter in the field.

Filling in the Production Schedule Setup Window

You use the Production Schedule Setup window to set up the calendar period to be shown in the Production Schedule window, as well as define how progress is displayed.

  1. Enter a starting date and ending date to define the total horizon of the window's time line, and set up how to show progress in the interaction pane.

To Fill in the General Tab:

  • In the Starting Date field, enter a date formula that defines the first day shown in the production schedule relative to the work date.

    • The default value is -1D, which means that the first day shown is the day before the work date.

  • In the Ending Date field, enter a date formula that defines the last day shown in the production schedule relative to the work date.

    • The default value is 2W, which means that the last day shown is two weeks after the work date.

  • The Progress Calculation field defines how the system should show progress on operations or orders in the production schedule. There are two Progress Calculation options:

    • Based on Time: to have the progress value reflect the amount of time spent (run time + setup time posted).

    • Based on Quantity: to have the value reflect the quantity of items finished in the operation (output quantity posted).

Related Topics

About Forecasting Functionality

About Planning Functionality

Calculating Low-Level Codes

Planning with/without Locations

Production Journal

Production Schedule

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Setting Up Work Shifts

To be able to assign work shifts to calendars, you must set up the various work shifts. Normal working hours are set up in the Manufacturing Setup window.

To Set Up Work Shifts:

  1. Open the [image] Work Shifts window.

  2. Enter the code and description of the work shifts. For Help about a specific field, click the field and press F1.

  3. Close the window.

Related Topics

Setting Up Manufacturing

Setting Up Working Calendars


Setting Up Working Calendars

It is possible to set up many different calendars. A calendar is then assigned to the individual capacity.

Every calendar day is assigned a work shift. Normally, one work shift is used for each calendar. However, multiple work shifts can be entered on one calendar.

To Set Up Working Calendars:

  1. Open the [image] Shop Calendars window.

  2. Fill in a code and a name for each calendar you wish to create. For Help about a specific field, click the field and press F1.

  3. Click Shop Cal., Working Days.

  4. Enter the settings for the desired calendar in the window. For Help about a specific field, click the field and press F1.

After the working days have been created, the exceptions must be determined. Such general exceptions of working days of the shop are, for example, holidays and company holidays.

Related Topics

Setting Up Work Shifts

Setting Up Holiday Calendars

Create A Work Center Calendar


Setting Up Holiday Calendars

After the working days have been created, the exceptions must be determined.

To Set Up Holiday Calendars:

  1. Open the [image] Shop Calendars window.

  2. In the Shop Calendars window, click Shop Cal., Holidays .

  3. Enter the planned holiday. The holiday may be only a portion of the planned work time. In this case, enter only the corresponding period of time by filling in the Starting Date-Time and Ending Time fields.

    For Help about a specific field, click the field and press F1.

Related Topics

Setting Up Working Calendars


Setting Up Work Center Groups

The work center groups offer you the possibility for classifying work groups. The setting up of work center groups and the assignment of work centers has no influence on the capacity planning.

To Set Up Work Center Groups:

  1. Open the [image] Work Center Groups window.

  2. To enter a new work center group, select Edit, Insert New. Fill in a code and name for the new work center group.

    For Help about a specific field, click the field and press F1.

  3. Close the window.

Related Topics

Structure of the Capacity


Set Up a Work Center

A work center card organizes the fixed values and requirements of the production resource in question, and thus governs the output of production performed in that work center.

System Preconditions

  • Capacity units of measure are set up.

  • At least one work center group is set up (under Capacities, Setup).

  • A shop calendar is created (see Create a Work Center Calendar).

  1. Gather all data about your production resources.

To Fill in the General Tab

  1. Open a new, empty work center card (Press F3).

  2. In the No. field, number the work center (for example 100).

  3. In the Description field, name the work center (for example Cutting).

  4. Look up in the Work Center Group field and select the higher-level resource grouping that the work center is organized under.

  5. In the Blocked field you can place a check mark to define that the work center can not be used in any way by the system. This means, among others, that an item produced at the work center can not be posted from a production journal (see Register Consumption and Output).

To Fill in the Posting Tab

  1. In the Direct Unit Cost field, enter the cost of producing one unit of measure at this work center, excluding any other cost elements. This cost is often referred to as the “direct labor rate”.

  2. In the Indirect Cost % field you can enter the general operation costs of using the work center as a percentage of the direct unit cost. This percentage amount is added to the direct cost in the calculation of the unit cost.

  3. In the Overhead Rate field you can enter any non-operational costs, for example maintenance expenses, of the work center as an absolute amount.

  4. The Unit Cost field contains the calculated unit cost of producing one unit of measure at this work center, including all cost elements.

Unit Cost = Direct Unit Cost + (Direct Unit Cost x Indirect Cost %) + Overhead Rate.

  5. In the Unit Cost Calculation field, define whether the above calculation should be based on the amount of time used: Time, or on the number of produced units: Units.

  6. Place a check mark in the Specific Unit Cost field if you want to define the work center’s unit cost on the routing line where it is being used. This may be relevant for operations with dramatically different capacity cost than what would normally be processed at that work center.

  7. In the Flushing Method field, select whether material consumption at this work center should be calculated and posted manually; Manual, or automatically with either of the following methods:

Forward to have the program automatically calculate and post consumption when the production order is released. Backward to have the program calculate and post consumption automatically when the released production order is finished.

Note: If necessary, the flushing method selected here and on the item card, can be overridden for individual operations by changing the setting on routing lines.

The Department Code and Project Code fields relate to the use of dimensions.

To Fill in the Scheduling Tab

  1. In the Unit of Measure Code field, enter the time unit in which this work center’s cost calculation and capacity planning are made.

  2. In the Capacity field you can define whether the work center has more than one machine or person working at the same time. (If your Microsoft Dynamics NAV installation does not include the Machine Center functionality, then the value in this field must be 1)

  3. In the Efficiency field, enter the percentage of the expected standard output that this work center actually outputs. If you enter 100, it means that the work center has an actual output that is the same as the standard output.

Note: The Consolidated Calendar field is only relevant if the installation includes the Machine Center granule.

  4. Look up in the Shop Calendar Code field and select a shop calendar. (See Create a Work Center Calendar.)

  5. In the Queue Time field you can specify a fixed time span that must pass before assigned work can begin at this work center. Note that Queue Time is added to other non-productive time elements such as Wait Time and Move Time that you may define on routing lines using this work center.

  6. If you use the Queue Time field above then you must define a time unit of measure in the Queue Time Unit of Meas. Code field.

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Create a Production BOM

A production BOM holds master data that describe the components and subassemblies used in the production of a parent item. Once a production order is created for that parent item, its production BOM will govern the calculation of material requirements as represented in the Prod. Order Components window.

System Precondition

Item cards are created for parent items and their components (see Create an Item Card).

  1. Gather all data about item structures: Top-level items, subassemblies, components – and their interrelation.

To Fill in the Production BOM Header

  1. Open a new, empty production BOM (Press F3)

  2. In the No. field, number the production BOM (for example the same as the parent item).

  3. In the Description field, name the production BOM (for example the same as the parent item)

  4. Select the parent item’s unit of measure code in the Unit of Measure Code field.

  5. The Status field must be New or Under Development to edit the BOM, and Certified to enable it.

To Fill in the Production BOM Lines

  1. You can copy lines from an existing production BOM by clicking Functions, Copy BOM to select existing lines, OR you can enter the lines manually:

  2. In the Type field, select whether the item on this BOM line is an ordinary item or a production BOM. If the item on the line is a production BOM, then it must already exist as a certified production BOM.

  3. In the No. field, look up and select the item or production BOM in question (or type it in the field).

  4. In the Quantity Per field, enter how many units of the item go into the parent item (e.g. 4 wheels for 1 car).

  5. In the Scrap % field you can enter a fixed percentage of components that are scrapped during production. When the components are ready to be consumed in a released production order, this percentage will be added to the expected quantity (in the Consumption Quantity field) in a production journal (see Register Consumption and Output).

Note: This scrap percentage represents components that are scrapped during production (when picking from inventory) whereas, the scrap percentage on routing lines represents scrapped output (before putting on inventory).

  5. In the Routing Link Code field you can enter a code to connect the component to a specific operation (see Create Routing Links).

Note: Apart from affecting the automatic consumption posting (flushing), routing links between operations and components ensure a nice process overview when recording operation data in the production journal.

  6. Certify the production BOM.

  7. You can now attach the new production BOM to the card of the parent item in question (see Create an Item Card).

Note: Remember also to recalculate the item’s standard cost: Item, Manufacturing, Calc. Standard Cost, All Levels.

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Creating New Production BOMs

A careful setup of the BOM master data is mandatory for you to be able to work correctly with the system later.

To Create New Production BOMs:

  1. Open the [image] Production BOM window.

    The top part of the production BOM card is the production BOM header, and the bottom part of the card contains the production BOM lines.

    The data entered on the production BOM header applies for the whole production BOM. On the lines, you enter the data for the items to be processed and other production BOMs.

  2. On the menu bar, select Edit, Insert New. If the cursor is placed on the header part, a new production BOM is created, whereas if the cursor is placed on the bottom part, a new line is created. A new production BOM is automatically assigned the status New.

  3. Click the No. field and enter the appropriate production BOM number which identifies the BOM uniquely. Any combination of numbers and letters can be used.

  4. Fill in the remaining fields. For Help about a specific field, click the field and press F1.

  5. Change the Status field to Certified.

Note

The Unit of Measure Code field is required for later quantity recalculations as a basis for a recalculation factor.

Related Topics

Create a Production BOM

Creating New Versions of Production BOMs

Displaying Lists of Production BOMs

Entering Comments for Production BOMs

Finding Where Production BOMs Are Used

Copying Production BOMs

Replacing Production BOM Items

Deleting Expired Components

Printing the Quantities of Items Needed for BOMs

Setting Up Routing Link Codes

Concept for Production BOMs

Calculating Low-Level Codes

Creating Routing Links

Using the Manufacturing Batch Unit of Measure


Creating New Versions of Production BOMs

New versions of production BOMs are used when, for example, an item is replaced by another cheaper or better quality item, or when a customer requires a special version of a product.

To Create New Versions of Production BOMs:

  1. Open the [image] Production BOM List window.

  2. On the displayed list, click the BOM to be edited, and then click OK. The data for the selected BOM is then displayed.

  3. To edit the version, click Prod. BOM, Versions.

  4. Fill in the fields of the new production BOM version.

    The newly created version is automatically assigned the status New.

    The time validity of the version is specified by the Starting Date field.

    For Help about a specific field, click the field and press F1.

Note

With the Item option in the Type field, you have the possibility of using an item from your item master data in the production BOM. If the item also has a production BOM (whereby the Production BOM No. field is filled in on the item card), this production BOM is also considered.

With the Production BOM option you have the possibility of using a phantom production BOM on the line.

Phantom production BOMs serve for structuring products. This production BOM type never leads to a finished product, but is used exclusively for determining the dependent demand. Phantom production BOMs do not have their own item master data.

Related Topics

Concept for Production BOMs

Creating New Production BOMs

Copying Production BOM Versions by Using Copy BOM Version Functions

Copying Production BOM Versions by Using the Copy BOM Header Function

Comparing Material Quantities for all Production BOM Versions

Replacing Production BOM Items


Creating Routing Links

Routing links can be made to connect components to specific operations in order to retain their relationship even though the production BOM and/or routing is modified. It also facilitates more just-in-time flushing of components, namely when the specific linked operation starts - not when the entire order is released.

Note: Another important benefit is that linked components and operations are displayed in a logical process structure when using the production journal for output and consumption posting.

Creation of a new routing link must be initiated from the routing.

To Create a Routing Link:

  1. Open the [image] Routing window.

  2. Go to the routing which contains the operation(s) you wish to link.

  3. Make sure the Routing is Under Development, and add the Routing Link Code field to your view (View, Show Columns).

  4. On the relevant operation (routing line), look up from the Routing Link Code field and select a code (see related topic below).

  5. Proceed to add different routing link codes to other operations in the routing - if relevant.

Note: You should not use the same routing link code in different operations on a routing because you may wrongly link a component to two different operations and thereby consume it twice.

It is a good idea to name the routing link code after the operation in order ensure operation-specific routing links.

  6. Certify the routing.

Routing link codes are now assigned to operations, and you must then create the actual link by assigning the same codes to specific components:

  7. Open the [image] Production BOM window.

  8. Go to the production BOM which contains the component(s) you wish to link to the above operation(s).

  9. Make sure the BOM is Under Development, and add the Routing Link Code field to your view (View, Show Columns).

  10. On the relevant component (BOM line), look up from the Routing Link Code field and select the code assigned to the relevant operation (see above).

  11. Proceed to add routing link codes to other components according to the unique operations where they are used.

  12. Certify the production BOM.

Note: To enable the routing links on an existing production order, you must first refresh it.

The selected components will now be linked to the selected operations when you create and/or refresh a production order using the production BOM and routing in question. This is visible in the Prod. Order Components window under the production order, and here you can also remove and add the defined routing link codes at any time.

Related Topics

Setting Up Routing Link Codes

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Deleting Expired Components

Periodically, you can run the Delete Expired Components batch job to maintain the BOM lines. Old lines where ending dates have expired can be removed from the BOM. The BOM headers are not changed.

To Delete Expired Components:

  1. Open the [image] Delete Expired Components window.

  2. Enter the filters to select the production BOM lines to be deleted.

  3. Click the Options tab and enter the date through which all components are to be deleted in the Delete Before field. Enter a T if the application is to use today’s date, or a W if the working date is to be used. If you want, though, you can use any other date.

    For Help about a specific field, click the field and press F1.

  4. Click OK to delete the expired components.

Related Topics

Creating New Production BOMs

Replacing Production BOM Items


About Planning Functionality

The planning system takes all demand and supply data into account, nets the results, and creates suggestions for balancing the supply to meet the demand.

Demand and Supply

Planning has two elements: demand and supply. These must be held in balance to ensure that the demand is met in a timely and cost-efficient manner.

  • Demand is the common word used for any kind of gross requirement such as a sales order, service order, component need from a production order, outbound transfer, blanket order or forecast. In addition to these, the program allows some other technical types of demand – such as a negative production or purchase order, negative inventory, and purchase return.

  • Supply is the common word used for any kind of replenishment such as inventory, a purchase order, production order, or inbound transfer. Correspondingly, there can be a negative sales or service order, negative component need or sales return – all of which in some way also represent supply.

Another goal of the planning system is to ensure that the inventory does not grow unnecessarily. In the case of decreasing demand, the planning system will suggest that you postpone, decrease in quantity, or cancel existing replenishment orders.

Planning Calculation

The planning system is driven by anticipated and actual customer demand, as well as inventory reordering parameters. Running the planning calculation will result in the program suggesting specific actions (Action Messages) to take concerning possible replenishment from vendors, transfers between warehouses, or production. If replenishment orders already exist, the suggested actions could be to increase or expedite the orders to meet the changes in demand.

The basis of the planning routine is in the gross-to-net calculation. Net requirements drive planned order releases, which are scheduled based on the routing information (manufactured items) or the item card lead time (purchased items). Planned order release quantities are based on the planning calculation, and are affected by the parameters set on the individual item cards.

Planning Parameters

The planning parameters control when, how much, and how to replenish based on the various settings on the item card (or stockkeeping unit – SKU), and the manufacturing setup.

The parameters on the Item Card include:

  • Reordering Policy

  • Reorder Point

  • Safety Stock Quantity

  • Safety Lead Time

  • Reorder Cycle

  • Minimum Order Quantity

  • Maximum Order Quantity

  • Order Multiple

  • Manufacturing Policy

The parameters on the Manufacturing Setup window include:

  • Dynamic Low-Level Code

  • Current Production Forecast

  • Use Forecast on Locations

  • Default Safety Lead Time

  • Combined MPS/MRP Calculation

  • Components at Location

  • Dampener (Time)

  • Dampener (% of Lot Size)

Planning is affected by many additional factors, including the planning horizon defined by the Order and Ending dates specified when running MPS/MRP from the Order Planning or Planning Worksheet windows.

Related Topics

About Forecasting Functionality

Calculating the Planning Worksheet (Running MPS/MRP)

Create an Item Card

Plan a Project Order

Plan for New Demand

Setting Up Manufacturing


Calculating the Planning Worksheet (Running MPS/MRP)

The terms "running the planning worksheet" or "running MRP" refer to the calculation of the master production schedule and material requirements based on actual and forecasted demand. The planning system can calculate either Master Planning Schedule (MPS) or Material Requirements Planning (MRP) on request, or it can calculate both at the same time.

  • MPS is defined as the calculation of a master production schedule based on actual demand and the production forecast. The MPS calculation is carried out for end items that have a forecast or/and a sales order line. These items are called "MPS items" and are identified dynamically when the calculation starts.

  • MRP is defined as the calculation of material requirements based on actual demand for components and the production forecast on the component level. The MRP is calculated only for items that are not MPS items. The overall purpose of MRP is to provide time-phased formal plans, by item, to supply the right item at the right time, in the right place, in the right quantity.

The planning algorithms used for both MPS and MRP are identical. The planning algorithms concern netting, reuse of existing replenishment orders, and action messages. The planning system process looks at what is needed or will be needed (demand) and what is on-hand or expected (supply.) When these quantities are netted against each other, the program provides Action Messages. Action messages are suggestions to create a new order, change an order (quantity or date), or cancel an order in order. The term "order" includes production orders, purchase orders, and transfer orders.

Proper planning results depend on the set up done on Item Cards, Production BOMs, and Routings.

Methods for Generating a Plan

Most companies have a specific process for generating a production plan, including the periodic requirements for plan generation; that is, how often, what method, and so on. These processes should be considered during the setup and implementation stage. Plans may be calculated in three ways:

  • Calculate Regenerative Plan: This function processes or regenerates the entire material plan. This process starts by deleting all planned orders currently loaded. All items in the database are replanned.

  • Calculate Net Change Plan: This function processes a net change plan. Items are considered in net change planning as a result of two types of changes:

    • Demand/supply changes: These include modifications to quantities on sales orders, production forecasts, production orders, or purchase orders. An unplanned inventory level change is also considered a quantity change.

    • Planning parameter changes: These include changes in safety stock, reorder point, routing, bill of material, and changes to the reorder cycle or lead time calculation.

  • Get Action Messages: This function serves as a short-term planning tool by issuing action messages to alert the user of any modifications made since the last regenerative or net change plan was calculated.

With each planned method, the program generates worksheet entries assuming infinite capacity; work center and machine center capacity is not considered when developing schedules.

Attention

The Regenerative Plan is the most common process used for running MRP. The calculate planning worksheet and carry out action messages processes, however, can be used to run the Calculate Net Change Plan.

The Get Action Messages Plan can be run between net change and regenerative planning runs to get an immediate view of the impact of schedule changes, but it is not intended as a replacement of net change or regenerative planning.

To Calculate the Planning Worksheet:

The calculation of a materials plan is performed as follows:

  1. Open the [image] Planning Worksheet window. This window is used for Regenerative/Net change planning and MPS/MRP.

  2. Click Functions, Calculate Regenerative Plan.

  3. On the Item tab you can filter and run the planning routines based on item, item description or location.

  4. The Options tab allows you to specify the type and horizon of the planning run:

Show MPS

Placing a check mark in this field initiates the calculation of a master production schedule. Items with open sales orders and/or production forecasts are considered in this run.

Show MRP

Placing a check mark in this field initiates the calculation of material requirements planning. Items with dependent requirements are considered in this run.

Typically, MPS and MRP are run simultaneously. To run MPS and MRP simultaneously, the Combined MPS/MRP Calculation check box must be checked on the Planning tab of the Manufacturing Setup window.

Show Order Date

This date is used to evaluate inventory availability. If an item's on-hand quantity is below the reorder point, the system forward-schedules a replenishment order from this date. If an item is below its safety stock (as of the order date), the system back-schedules a replenishment order due on the order date.

Show Ending Date

This is the ending date of the planning horizon. Neither demand nor supply is considered after this date. If the reorder cycle for an item extends beyond the ending date, the effective planning horizon for that item is equal to the Order Date + Reorder Cycle.

The planning horizon is the amount of time the plan is extended to. If the horizon is too short, items with a longer lead time are not ordered on time. If the horizon is too long, too much time is spent reviewing and processing information that likely changes before it is needed. It is possible to set one planning horizon for production and a longer one for purchases, although it is not required. A planning horizon for purchases and production should be set to cover the cumulative lead time for components.

Show Stop and Show First Error

If you place a check mark in this field, the planning run will stop as soon as it encounters an error. At the same time, a message is displayed with information about the (first) error. If an error exists, only the successful planning lines made before the error was encountered will be presented in the planning worksheet.

If you leave the field unchecked, the Calculate Plan batch job will continue until it has completed, that is, errors will not interrupt the batch job. If one or more errors exist, the program will display a message after completion saying how many items are affected. The Planning Error Log window will then open to provide more details about the error and links to the affected item card(s).

Show Use Forecast

In this field you select a forecast that should be included as demand when running the planning batch job. The default forecast is set up on the Planning tab of the Manufacturing Setup window.

Show Exclude Forecast Before

In this field you define how much of the selected forecast to include in the planning run by entering a date before which forecast demand is not included, thus allowing you to exclude old information.

  5. Click OK. The batch job runs and then the planning worksheet is populated with the planning lines. For help on a specific field, click in the field and press F1.

Action Messages

Action messages are issued by the order tracking system when balance is unattainable within the existing order network. They can be viewed as a suggestion for you to process changes that reestablish equilibrium between supply and demand.

The generation of action messages occurs one level at a time, with respect to each item's low-level code. This ensures that all items that experience or will experience changes in supply or demand are considered.

To avoid small, superfluous or unimportant action messages, the user can establish dampeners, which serve to restrict the generation of action messages to only those changes that exceed the defined quantity or number of days.

In response to any supply/demand imbalances, the program generates the following action messages:

Show New

If a demand cannot be fulfilled by suggesting action messages to Change Qty., Reschedule, or Reschedule & Change on existing orders, the system generates Action Message = New, which suggests a new order. In addition, the system issues action message New if there are no existing supply orders within the reorder cycle of the item in question. This parameter determines the number of periods forward and backward in the availability profile when searching for an order to reschedule.

Show Change Quantity

When demand that is tracked to a supply order(s) experiences a quantity change, the system generates Action Message = Change Qty., which indicates that the related supply should be changed relative to the change in demand. If a new demand emerges, the system searches for the nearest existing unreserved supply order within the reorder cycle, and issues a Change Action Message for that order.

Show Reschedule

When a supply or demand order experiences a date modification causing an imbalance in the order network, the system issues Action Message = Reschedule. If there is a one-to-one relationship between demand and supply, the system issues an action message suggesting that the supply order be moved accordingly. If the supply-order covers demand from more than one sales order, the supply order is re-scheduled equal to the date of the first demand.

If both the dates and quantities of an order have been modified, it is necessary to change plans with regard to both circumstances. Action messaging gathers both actions in one message, Resched. and Chg. Qty., to ensure that the order network returns to balance.

Show Cancel

If a demand, which has been covered on an order-to-order basis, is deleted, the system issues an Action Message to Cancel the related supply order(s). If the relationship is not order-to-order, the system generates an action message to Change in order to reduce the supply. If through other factors, such as inventory adjustments, a supply order is not required at the time the action messages are generated by the user, the system suggests Action Message = Cancel in the worksheet.

Note

An Action Message is a suggestion to create a new order, cancel an order, or change the quantity or date of an order. An order is a purchase order, transfer order, or production order.

To Carry Out Action Messages:

Once you have reviewed the action messages and determined whether to accept some or all of the suggested changes – by checking or unchecking the Accept Action Message field – you are ready to update the schedules accordingly.

  1. On the calculated Planning Worksheet, click Functions, Carry Out Action Message. The Carry Out Action Msg. - Plan. batch job has two tabs: Planning Line and Options.

  2. On the Planning Line tab you can set filters to limit the carry out action messages.

  3. On the Options tab, you choose which types of orders you want to create and whether lines need to be moved to the Requisition Worksheet:

Show Production Order

In this field, you can specify whether you want to create production orders in the Manufacturing application area. You can do this directly from the planning line proposals. You can create either planned or firm planned production orders.

Show Purchase Order

In this field, you can specify whether you want to create purchase orders in the Purchases & Payables application area. You can do this directly from the planning line proposals.

Show Template Name

If you have chosen to copy the planning line proposals for purchase orders to the requisition worksheet, this field becomes editable. You can select the template name here.

Show Worksheet Name

If you have chosen to copy the planning line proposals for purchase orders to the requisition worksheet, this field becomes editable. You can select the worksheet name here.

Show Transfer Order

In this field, you can specify whether you want to create transfer orders in the Inventory application area. You can do this directly from the planning line proposals.

Show Template Name

If you have chosen to copy the planning line proposals for transfer orders to the requisition worksheet, this field becomes editable. You can select the template name here.

Show Worksheet Name

If you have chosen to copy the planning line proposals for transfer orders to the requisition worksheet, this field becomes editable. You can select the worksheet name here.

Show Stop and Show First Error

If you place a check mark in this field, the Carry Out Action Msg. - Plan. batch job will stop as soon as it encounters an error. At the same time, a message is displayed with information about the (first) error. If an error exists, only the planning lines processed before the error was encountered will result in supply orders.

If you leave the field unchecked, the Carry Out Action Msg. - Plan. batch job will continue until it has completed, that is, errors will not interrupt the batch job. If one or more errors exist, the program will display a message after completion saying how many items are affected.

  4. Click OK.

The batch job deletes the lines in the planning worksheet after it has performed the action message. The other lines remain in the planning worksheet until they are either accepted at a later date or else deleted. You can also delete the lines manually.

Related Topics

Create a Production BOM

Create a Routing

Create an Item Card

Plan for New Demand

Refreshing Planning Demands

Tracking Entries in Planning Lines

Viewing Item Availability in the Planning Worksheet

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides - Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Posting Capacities

In the capacity journal, you post consumed capacities that are not assigned to the production order. For example, maintenance work must be assigned to capacity, but not to a production order.

To Post Capacities:

  1. Open the [image] Capacity Journal window.

  2. Fill in the Posting Date and Document No. fields.

  3. In the Type field, enter the type of the capacity (Machine Center, Work Center) that you are posting.

  4. In the No. field, enter the number of the machine center or work center.

  5. Enter the relevant data in the other fields, such as Starting Time, Ending Time, Quantity and Scrap.

  6. Click Posting, Post to post the capacities.

  7. Click Yes to confirm the question.

Related Topics

Posting Output Quantity

Posting Scrap Manually

Register Consumption and Output

Structure of the Capacity


Structure of the Capacity

The program distinguishes between three types of capacities. These are arranged hierarchically. Each level contains the subordinate levels.

The top level is the work center group.

Work centers are assigned to the work center groups. Every work center can only belong to one work center group.

You can assign various machine centers to every work center. A machine center may only belong to one work center.

Planned capacity of a work center consists of the availability of the corresponding machine centers and the additional planned availability of the work center.

The planned availability of the work center group is thus the sum of all corresponding availabilities of the machine centers and work centers.

The availability is stored in calendar entries.

Related Topics

Set Up a Work Center

Create a Work Center Calendar

Setting Up Work Center Groups

Setting Up Machine Centers

Listing Machine Centers

Displaying Machine Center Statistics

Entering Comments for Machine Centers

Displaying Machine Center Ledger Entries

Displaying the Load on Machine Centers

Setting Up Work Centers

Listing Work Centers

Displaying Work Centers

Entering Comments for Work Centers

Displaying Work Center Ledger Entries

Displaying the Load on Work Centers

Entering Time Periods When Machine Centers Cannot Be Used

Updating Calendar Entries for Machine Centers

Recalculating Calendar Entries for Machine Centers

Entering Time Periods When Work Centers Cannot Be Used

Updating Calendar Entries for Work Centers

Recalculating Calendar Entries for Work Centers


Setting Up Machine Centers

The machine centers are used as the lowest capacity level. No further sub-division is possible. You must therefore use machine centers for either single machines or a number of identical machines which do not need to be distinguished any further.

To Set Up Machine Centers:

  1. Open the [image] Machine Center Card window.

  2. Click Edit, Insert New on the menu bar.

  3. Enter a new machine center number. If you have set up a default machine center number series, press Enter to have the program fill in this field with the next number in the series. Fill in the other fields. The No. and Work Center No. fields are mandatory.

    For Help about a specific field, click the field and press F1.

  4. Close the window.

Note

The Work Center No. field is used to link the machine center to a work center.

Related Topics

Structure of the Capacity

Listing Machine Centers

Displaying Machine Center Statistics

Entering Comments for Machine Centers

Displaying Machine Center Ledger Entries

Displaying the Load on Machine Centers

Setting Up Work Centers

Assigning Gen. Prod. Posting Groups to Work Centers and Machine Centers

Create A Work Center Calendar

Set Up a Work Center


Setting Up Work Centers

Machines and machine centers can be combined in work centers. In the work centers, further data is entered which is required for calculation and for financial accounting.

To Set Up Work Centers:

  1. Open the [image] Work Center Card window.

  2. Click Edit, Insert New on the menu bar.

  3. Enter a new work center number. If you have set up a default item number series, press Enter to have the program fill in this field with the next number in the series. Fill in the other fields.

    The No., Work Center Group Code, Unit Cost Calculation and Flushing Method fields are mandatory.

    For Help about a specific field, click the field and press F1.

  4. Close the window.

Note

The Work Center Group Code field is used to link the work center to a work center group.

Example

Related Topics

Structure of the Capacity

Setting Up Work Centers

Listing Work Centers

Displaying Work Centers

Entering Comments for Work Centers

Displaying Work Center Ledger Entries

Displaying the Load on Work Centers

Assigning Gen. Prod. Posting Groups to Work Centers and Machine Centers


Create a Routing

A routing holds master data that capture the process requirements of a given produced item. Once a production order is created for that item, its routing will govern the scheduling of operation(s) as represented in the Prod. Order Routing window under the production order.

System Preconditions

  • Item cards are created (see Create an Item Card).

  • Production resources are set up (see Set up a Work Center).

  1. Gather all data about produced items, production resources, operation specifications, and process times.

To Fill in the Routing Header

  1. Open a new, empty routing (Press F3).

  2. In the No. field, number the routing (for example according to the process or the parent item).

  3. In the Description field, name the routing (for example after the process or the parent item).

  4. Select Serial in the Type field (See Help for the advanced type Parallel).

  5. The Status field must be New or Under Development to edit the routing, and Certified to enable it.

To Fill in the Routing Lines

  1. You can copy existing lines by clicking Functions, Copy Routing to select an existing routing, OR manually:

  2. In the Operation No. field, enter the number of the first operation (for example 10).

  3. Select in the Type field which kind of resource is used (for example Work Center).

  4. In the No. field, look up and select the resource to be used (or type it in the field).

  5. In the Routing Link Code field you can enter a code to connect the component to a specific operation (see Create Routing Links).

Note: Apart from affecting the automatic consumption posting (flushing), routing links between operations and components ensure a nice process overview when recording operation data in the production journal. (See Register Consumption and Output)

  5. In the Run Time and Setup Time fields, enter the process times needed to perform the operation.

Note: Setup time is calculated per production order, run time is calculated per produced item.

  6. Specify in the Concurrent Capacities field how many units of the selected resource are used to perform the operation (for example 2. Two persons allocated to one packing operation will halve the run time).

  7. Continue to fill in lines for all operations involved in producing the item in question.

  8. Certify the routing.

  9. You can now attach the new routing to the card of the production item in question. (See Create an Item Card)

Note: Remember also to recalculate the item’s standard cost: Item, Manufacturing, Calc. Standard Cost, All Levels.

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Creating New Routings

To describe how to produce a certain product, you must create routings.

To Create New Routings:

  1. Open the [image] Routing window. The top part of the Routing window is the routing header and the lower part contains the routing lines.

  2. Select Edit, Insert New in the menu bar. A new routing is generated in which all fields are initialized. The Status field is set to New.

  3. In the No. field, enter the appropriate routing number which identifies the routing uniquely. Any combination of numbers and letters is permitted in this field.

    If you have set up a default routing number series, press Enter to have the program fill in the field with the next number in the series. Click the AssistButton [image] to see the No. Series window.

    Fill in the fields. For Help about a specific field, click the field and press F1.

  4. Close the window.

Related Topics

Purpose of the Routings

Create a Routing

Setting Up Work Centers

Setting Up Machine Centers

Creating New Versions of Routings

Entering Comments for Routings

Assigning Tools to Operations

Assigning Personnel to Operations

Assigning Quality Measures to Operations

Listing all Routings

Finding Where Routings Are Used

Copying Routings

Printing the Routing Structure Report

Creating Routing Links


Creating New Versions of Routings

The version principle enables you to manage several versions of a routing. The structure of the routing version corresponds to the structure of the routing consisting of the routing version header and the routing version lines. The basic difference is defined by the starting date.

To Create New Versions of Routings:

  1. Open the [image] Routing List window. Select the routing to be edited, and then click OK.

  2. In the Routing window, click Routing, Versions.

  3. On the menu bar, click Edit, Insert New, and then press Enter. A new version of the routing (from which the function was called) is created.

  4. In the Version Code field, you enter the unique identification of the version. Any combination of numbers and letters is permitted.

    The newly created version is automatically assigned the status New.

  5. To create operations (lines), position the cursor on the version lines. Fill in the Operation No. field according to the sequence of operations. The operation lines are sorted in ascending order by operation numbers. To be able to make changes later, we recommend you to select adequate step widths.

    The Next Operation No. field refers to the following operation. The number of the operation can be entered directly. (Not all fields are displayed in the default setup of this window. To display more fields, use the Show Column function.)

    The correct sequence of operations is checked when setting the status to Certified.

  6. Fill in the fields. Some of the fields are filled in automatically when the machine or work center is entered.

    For Help about a specific field, click the field and press F1.

You can enter comments for each operation and assign tools, personnel and quality measures in the same way as you do for routings.

Related Topics

Purpose of the Routings

Creating New Routings

Copying Routing Versions

Setting Up Routing Link Codes

Entering Comments for Operations

Assigning Tools to Operations

Assigning Personnel to Operations

Assigning Quality Measures to Operations

Setting Up Machine Centers

Setting Up Work Centers


Copying Routing Versions

You can copy the created routing versions. This is useful for long routings or when slight changes are to be made to versions. You can copy an existing version of a routing into a new version or into an existing version. Already existing information on the lines is overwritten in the destination version.

To Copy Routing Versions:

  1. Open the [image] Routing window.

  2. Click Routing, Versions.

  3. If you want to create a new version, place the cursor in the header part of the window and click Edit, Insert New on the menu bar. Fill in the version number of the new version.

    To use an existing version, click Versions, List and select the version you want to copy to. Check whether this version is to be overwritten and make sure the status is not set to Certified. It is not possible to change versions with the status Certified.

  4. To copy the standard routing, from the Routing Version window, click Functions, Copy Routing Header, and then click Yes.

    To select a routing version, click Function, Copy Routing Version. Select the version you want to copy from and click OK.

    The routing lines of the source version are copied into the current version and can be further processed from there.

  5. Change the Status field to Certified.

Related Topics

Creating New Routings

Creating New Versions of Routings


Creating Standard Tasks

The use of standard tasks simplifies the creation and maintenance of routings. They allow you to enter recurring routing lines in an extra table. You can use these table entries when maintaining routings.

To Create Standard Tasks:

  1. Open the [image] Standard Tasks window.

  2. Enter any combination of numbers and letters, which identify this standard task uniquely, in the Code field.

  3. Enter a description of the standard task in the Description field.

  4. Press Esc to exit the window.

Related Topics

Creating New Routings

Assigning Tools to Standard Tasks

Assigning Personnel to Standard Tasks

Entering Comments for Standard Tasks

Assigning Quality Measures to Standard Tasks


Setting Up Routing Link Codes

The BOM position is not assigned to a special position in the routing but to a routing link code in the Production BOM window. The routing line is also assigned to a routing link code in the Routing window. The program is very flexible due to this linking of BOM and routing. The positions can be changed as required, without changing the relationships between the BOM and the routing.

To Set Up Routing Link Codes:

  1. Open the [image] Routing Links window.

  2. In the Code field, enter any combination of numbers and letters which identify the routing link code uniquely.

  3. In the Description field, enter a text that describes the routing link code.

  4. Press Esc to close the window.

Related Topics

Creating Routing Links

Creating New Routings

Creating New Production BOMs


About Production Orders

Production orders are used to manage the conversion of purchased materials into manufactured items. Production orders (job or work orders) route work through various facilities (work or machine centers) on the shop floor.

Production orders are the central components of the program's manufacturing functionality and they contain the following information:

  • Products planned for manufacturing

  • Materials required for the planned production orders

  • Products that have just been manufactured

  • Materials that have already been selected

  • Products that have been manufactured in the past

  • Materials that were used in previous manufacturing operations

Production orders are the starting points for:

  • Planning future manufacturing

  • Controlling current manufacturing

  • Tracking of finished manufacturing

Production Order Creation

Production orders can be created on an order-by-order basis manually from the Production Order window, or generated from the Sales Order Planning and/or Order Planning window. Multiple orders are created from the Planning Worksheet window.

Production orders are created using information from:

  • Items

  • Production bills of material

  • Routings

  • Machine centers

  • Work centers

Limitations on Production Order Creation

Production orders are automatically reserved and tracked to their source when:

  • created from the Planning Worksheet

  • created with the production order function in the Sales Order Planning window

  • created from the Order Planning window

  • using the Replan function on production orders

Production orders created through other means are not automatically reserved and tracked.

Production Order Status

The production order status controls how the production order behaves within the program. The form and content of the production are dictated by the order's status. The production orders are displayed in different windows according to their status. You cannot change the status of a production order manually; you must use the Change Status function.

Show Simulated Production Order

The Simulated Production Order is unique based on the following characteristics:

  • As its name implies, it is a simulation and its main purpose is for quoting and costing - such as when the Research and Development department wants to get a cost estimate on a proposed item. A simulated production order serves as an example of a production order.

  • It does not influence the planning of orders. Planning (MPS and MRP) neither considers nor is affected by simulated production orders. Also, a simulated production order cannot be used as a template because it disappears when you change its status.

Show Planned Production Order

The Planned Production Order is unique because of the following characteristics:

  • You can automatically create a planned production order from a sales order.

  • Planned production orders are like released production orders and provide input to capacity requirements planning by showing the total capacity requirements by work center or machine center.

  • A planned production order represents the best estimate of the future load for the work center or machine center load based on available information. Typically, they are generated from planning, but can also be created manually. Because they are erased during subsequent planning generations, manual creation is not practical.

  • Their generation in planning results in a suggested "planned order release" that includes quantity, release date, and due date. The planning system logic is based on the replenishment system, reorder policies, and order modifiers that it encounters in the net requirements planning process.

  • To view their impact, look at the load for each work center or machine center on the planned production order's routing.

Show Firm Planned Production Order

The Firm Planned Production Order is unique because of the following characteristics:

  • You can automatically create a firm planned production order from a sales order.

  • A firm planned production order acts as a placeholder in the planning schedule for some future job released to the floor.

  • A firm planned production order can be generated from planning or created manually or from sales orders. They are not erased during subsequent planning.

  • Their generation in planning results in a suggested "planned order release" that includes: quantity, release date, and due date. The planning system logic is based on the replenishment system, reorder policies, and order modifiers that it encounters in the net requirements planning process.

  • To view their impact, look at the load for each work center or machine center on the firm planned production order's routing.

Show Released Production Order

The Released Production Order is unique based on the following characteristics:

  • You can automatically create a released production order from a sales order.

  • When a production order has been released, it does not necessarily mean that materials have been picked or the job has physically moved to its first operation.

  • In a MTO (Make-to-Order) environment, it is not unusual to create a released production order immediately after the entry of the sales order.

  • Actual material consumption and product output can be recorded manually with a released production order. In addition, automatic flushing of consumption and product output only occurs for released production orders.

Show Finished Production Order

The Finished Production Order is unique based on the following characteristics:

  • A finished production order is typically one that has been manufactured.

  • Finishing the production order is an important task in completing the costing lifecycle of the item that is being produced. By finishing a production order, costing can be adjusted and reconciled.

  • Finished production orders are used for statistical reporting and to support the ability to track back to other orders (sales, production, and purchase, for example). The ability to track back to a finished production order allows you to review the detailed history.

  • Finished production orders can never be changed.

Production Order Execution

Once a production order has been created and scheduled, it has to be released to the shop floor to be executed. During execution of the order, you record:

  • materials picked or consumed

  • how much time was spent working on the order

  • quantity of the parent item produced

This information can be recorded manually or through automatic reporting.

(the automatic recording of materials consumed)

Material Consumption

The program offers a variety of options for how a manufacturing company might want to record material consumption. For example, material consumption may be recorded manually, which might be desirable if there are frequent component substitutions or greater than expected scrap.

Consumption of materials may be processed through the Consumption Journal, but also may be recorded automatically by the program, known as automatic reporting. The reporting methods are:

Show Manual

    This method uses the Consumption Journal to specify material picking.

Show Forward

    This method assumes the expected quantity of all materials for the entire order is consumed at the release of a production order, unless using routing link codes. When using routing link codes, the material consumed after the start of the operational step is recorded in the Output Journal. To forward flush the entire production order, you need to do two things:

    All items in the top-level production BOM need to have forward flushing selected on their respective item card.

    All routing link codes on the production BOM must be removed.

Show Backward

    This method records the actual quantity of all material picked or consumed when the status of a production order is changed to Finished, unless using routing link codes. When using routing link codes, the material is consumed after a quantity of the parent item is recorded for the operational step in the Output Journal.

    • Backward flushing (the principle of reporting methods used, production order quantity completed, and time reported) the entire production order requires the same setup as for forward flushing: The reporting method must be set to backward on each item card for all items within the parent BOM to be reported. In addition, all routing link codes must be removed from the production BOM.

When the Production Order is refreshed, the flushing method is copied from the item card. Because the flushing method for each production order component controls how and when the consumption is recorded, it is important to note that you can change flushing method for specific items directly on the Production Order.

Automatic Consumption Posting (Flushing)

The advantage of automatic flushing is that it greatly reduces data entry. With the ability to automatically flush an operation, the entire consumption and output recording process can be automated. The disadvantage of using automatic flushing is that you may not be accurately recording, or even aware of, scrap. The Automatic Reporting methods are:

  • Forward Flush the Entire Order

  • Forward Flushing by Operation

  • Back Flushing by Operation

  • Back Flushing the Entire Order

Show Automatic Reporting - Forward Flush the Entire Order

If you forward flush the production order at the start of the job, the behavior of the program is very similar to a manual consumption. The major difference is that consumption happens automatically.

  • The entire contents of the production BOM are consumed and deducted from inventory at the time the released production order is refreshed.

  • The consumption quantity is the quantity per assembly stated on the production BOM, multiplied by the number of parent items you are building.

  • There is no need to record any information in the consumption journal if all of the items are to be flushed.

  • When consuming items from inventory, it does not matter when output journal entries are made, because the output journal has no effect on this mode of consumption posting.

  • No routing link codes can be set.

Forward flushing an entire order is suited in production environments with:

  • a low number of defects

  • a low number of operations

  • high component consumption in early operations

Show Automatic Reporting - Forward Flushing by Operation

Flushing by operation allows you to deduct inventory during a specific operation in the routing of the parent item. Material is tied to the routing using routing link codes, which correspond to routing link codes applied to components in the production BOM.

The flush takes place when the operation that has the same routing link code is started. Started means that some activity is recorded in the output journal for that operation. And that activity might just be that a setup time is entered.

The amount of the flush is for the quantity per assembly stated on the production BOM multiplied by the number of parent items being built (expected quantity).

This technique is best employed when there are many operations and certain components are not needed until late in the assembly sequence. In fact, a Just-in-Time (JIT) setup might not even have the items on hand when the RPO is begun.

Material can be consumed during operations by using routing link codes. Some components may not be used until final assembly operations and should not be withdrawn from stock until that time.

Show Automatic Reporting - Back Flushing by Operation

Back flushing by operation records consumption after the operation is posted in the output journal.

The advantage of this method is that the number of parent parts finished in the operation is known.

Material in the production BOM is linked to the routing records using routing link codes. The back flush takes place when an operation with a particular routing link code is posted with a finished quantity.

The amount of the flush is for the quantity per assembly stated on the production BOM multiplied by the number of parent items that were posted as output quantity at that operation. This might be different from the expected quantity.

Show Automatic Reporting - Back Flushing the Entire Order

This reporting method does not consider routing link codes.

No components are picked until the released production order status is changed to Finished. The amount of the flush is the quantity per assembly stated on the production BOM multiplied by the number of parent items that were finished and placed into inventory.

Production Output

The program provides you with the capability to track how much time is spent working on a Production Order, in addition to recording the quantity produced. This information can help you more accurately determine the costs of production. Also, manufacturers using a standard costing system may want to record actual information in order to help them develop better standards.

Output may be processed through the Output Journal, but also may be recorded automatically by the program. The program copies the flushing method from the Machine Center or Work Center card to the Production Order Routing when refreshing. As with material consumption, there are three reporting methods for output:

Show Manual

    This method uses the Output Journal to specify time consumed and quantity produced.

Show Forward

    This method records the expected output (and time), which is automatically recorded at the release of a Production Order. Routing link codes are not a factor in the forward flushing of the output.

Show Backward

    This method records the expected output (and time), which is automatically recorded at the finish of a Production Order. Routing link codes are not a factor in the back flushing of the output.

Posting Consumption and Output

You can use any combination of automatic flushing and manually recorded information for both consumption and output. For example, you may want to automatically forward flush components, but still use the Consumption Journal to record scrap. Similarly, you may want to automatically record output, but use the Output Journal to record scrap of the parent item or additional time spent on the order.

Finally, if you enter consumption and output manually, you need to determine the sequence in which you are going to record this information. You can record consumption first and use a shortcut method to enter the information, which is based on expected quantity of output. Or, you can enter output first, using the Explode Routing function. You would then record consumption based on actual quantity of output.

Production Journal

The Production Journal combines the functions of the Consumption Journal and Output Journals into one journal, which is accessed directly from the Released Production Order.

The purpose of the Production Journal is to provide a single interface for you to register consumption and output from a Production Order.

The Production Journal has a simple view and provides you with the ability to:

  • Easily record output and consumption related to a Production Order

  • Relate the components to operations

  • Relate actual operation data with the standard estimates on the Production Order routing and component lines

  • Post and print an overview of registered operation data for the Production Order

The Production Journal performs many of the same functions as the Consumption and Output journals. Dimensions, Item Tracking, and Bin Contents are handled in the same way as on the Consumption and Output journals.

However, the Production Journal differs from the Consumption and Output journals in the following ways:

  • It is called directly from a released production order line and preset with the relevant data.

  • It allows you to define which types of components to handle based on a flushing method filter on the journal.

  • Quantities and times already posted for the order are displayed at the bottom of the journal as actual entries.

  • Fields where data entry is irrelevant are blank and non-editable.

  • The user can set up the way output quantities are preset in the journal – for example, that the last operation must have zero as Output Quantity.

  • If you happen to exit the journal without posting your changes, a request message is displayed allowing you to stay in the journal.

  • It displays operations and components together in a logical structure that provides an overview of the production process.

In the Production Journal, Consumption Quantities are posted as negative Item Ledger Entries, Output Quantities are posted as positive ledger entries, and times spent are posted as Capacity Ledger Entries.

For information on setting up manufacturing, see the file Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.

Related Topics

Calculating the Planning Worksheet (Running MPS/MRP)

Creating Production Orders from Sales Orders

Plan for New Demand

Processing Production Orders

Production Order Statistics

Production Schedule


About Subcontracting

Subcontracting, when a vendor performs one or more operational steps in production, is a standard operational step in many manufacturing companies. Subcontracting can be a rare occurrence or can be an integral part of all production processes.

The program provides several tools for managing subcontract work:

  • Work Centers with assigned vendor: This feature enables you to set up a work center that is associated with a vendor (subcontractor). This is called a subcontract work center. You can specify a subcontract work center on a routing operation, which allows you to easily process the subcontracted activity. In addition, the cost of the operation can be designated at the routing or the work center level.

  • Work Center cost based on units or time: This feature enables you to specify whether costs associated with the work center are based on the production time or a flat charge per unit. Although subcontractors commonly use a flat charge per unit to charge for their services, the program can handle both options. (production time and flat charge per unit)

  • Subcontracting Worksheet: This feature allows you to find the production orders with material ready to send to a subcontractor and to automatically create purchase orders for subcontract operations from production order routings. Then the program automatically posts the purchase order charges to the production order during the posting of the purchase order. Only production orders with a status of released can be accessed and used from a subcontracting worksheet.

Subcontract Work Centers

Subcontract Work Centers are set up the same as regular work centers with additional information. They are assigned to routings in the same manner as other work centers.

Subcontracting Worksheet

Once you have calculated the Subcontracting Worksheet, the relevant document, in this case a purchase order, is created.

Posting Subcontract Purchase Orders

Once the Subcontractor Purchase Orders have been created, they can be posted. Receiving the order posts a Capacity Ledger Entry to the production order and invoicing the order posts the direct cost of the purchase order to the production order.

Related Topics

Processing Production Orders


Amending or Canceling Item Reservations

Sometimes you may want to amend or cancel an item reservation.

In the following, a firm planned production order is used.

To Amend or Cancel Item Reservations:

  1. Open the [image] Firm Planned Prod. Order window.

  2. Click Functions, Reserve.

  3. Click Line, Reservation Entries.

  4. On the line you wish to amend, in the Quantity (Base) field, change the quantity, and then press Enter.

    If you decide to cancel the reservation:

  5. Click Functions, Cancel Reservation, and then click Yes.

Related Topics

Reserving Items for Production Order Lines

Reserving Items for Production Order Components

Tracking Item Reservations


Check Availability against Schedule

In the Production Schedule window there are no system checks concerning component availability after rescheduling. The interrelation between Order Planning and Production Schedule is based on an all manual work flow. There is no automation logic between the two. You can say that one is giving new requirements to the other with every action in this work flow. Therefore, you may have to manually check availability after every rescheduling performed.

This planning task may be performed from a production order right after it has been rescheduled (see Reschedule an Operation). It may be sufficient to check the Item Availability by window for the affected components, but it is probably more effective to use the Order Planning window.

To Check Component Availability

  1. From the production order that has just been rescheduled, click Order, Planning.

  2. In the Order Planning window, click Functions, Calculate Plan.

If any components are not available for this production order, a planning line is displayed for the production order header and any unfulfilled demand lines are expanded under it.

Note: All other production demand that exists is also displayed, and you may have to respect this.

  3. Proceed to plan for the demand as described in Plan for New Demand

This task may have to be done several times as you align your fine production schedule to the rough one created by the system during order planning.

Note: Existing Supply Orders are Not Deleted

The rescheduling performed may mean that the quantity on an already planned and created purchase order is no longer sufficient. After calculating a plan, the Order Planning window will suggest to create an additional purchase order for the same item, and it will not delete or change the old purchase order (as does the automatic planning run). Therefore, it is a good idea to check existing supply orders and perhaps manually modify them according to new demand created through fine scheduling.

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Check Order Progress

This sort of information gathering may be performed by different staff depending on their focus. Sales staff may want progress information for particular production orders, so they can respond accurately to customer inquiries about the status of their orders. Production staff may want to follow the progress of individual operations as part of the ongoing maintenance of the production schedule (this is covered in Reschedule an Operation).

The Production Schedule window can be used by sales staff to obtain an overview of the order schedule and the progress of specific production orders. The window can be made accessible anywhere in the Navigation Pane and the level of interaction is simply defined by the user’s permissions to the functionality behind the window. For example, a user can not move an operation if that user is not granted permission to the Routing Line table.

To Open the Production Schedule window

  1. Click Production Schedule (in the Navigation Pane).

The Production Schedule window opens showing all existing production orders (except simulated and finished).

By default, the period shown when the window is first opened (in minimized view) is 4 days after today's date (marked with a red line) and 1 day before today's date. This initial view can be adjusted, see below.

  2. Select the Production Order View (at the bottom) to see operations in the context of their production orders.

  3. Locate the production order – look for the production order number in the Production Order column.

Note: A tooltip text displays relevant information when you place the cursor over data in the column.

To Adjust the View

  4. Click and drag the time scale forward (to the right) to show fewer days.

  5. Click and drag the time scale backwards (to the left) to show more days

  6. Click the expand/collapse icons (+/-) to see the production resources performing the operations.

Note: Even with the resources collapsed under a production order, you can see all operations in the order.

To Show Progress

  7. Right-click anywhere in the interaction pane and select Show Progress from the functions menu.

The system now shows the progress on each operation in the production order as a percentage figure. This figure is defined as the quantity finished (or time spent) as a percentage of the total quantity to be outputted.
The Show Progress function is indicated by a small blue line underneath each operation bar.

Note: The critical information for sales staff would be the progress percentage of the last operation as this represents the completion of the whole production order.

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Creating Production Orders from Sales Orders

In the program, you can create production orders from sales orders in the Sales & Receivables application area.

To Create Production Orders from Sales Orders:

  1. Open the [image] Sales Order window.

  2. Click Order, List.

  3. Select the sales order you want to create a production order for.

  4. Click Order, Planning. In the Sales Order Planning window, you can view the availability of the sales order item.

  5. Click Functions, Create Prod. Order.

  6. Fill in the fields in the request window. For Help about a specific field, click the field and press F1.

  7. Click Yes to create the production order.

Related Topics

Plan for New Demand

Creating Production Order Headers

Setting Up Production Orders

Plan a Project Order

Check Availability against Schedule

About Forecasting Functionality

Processing Sales Orders

Processing Production Orders


Finishing Production Orders

Production orders are finished by changing the status of the released production order to a finished production order.

To Finish Production Orders:

  1. Open the [image] Released Production Order window.

  2. Choose the production order you want to finish.

  3. Click Functions, Change Status.

  4. Enter the posting date. In addition, you can update the unit cost according to the actual costs.

  5. Click Yes to confirm your entries. The released production order is finished.

Related Topics

Viewing Finished Production Orders

Releasing Production Orders by Status Change

Releasing Production Orders Automatically

Processing Production Orders

Calculating Finished Production Order Costs


Plan a Project Order

This planning task starts from a sales order and uses the Sales Order Planning window. Once a project production order is created, it may be planned further by using the Order Planning window.

To Create a Project Production Order

  1. From the sales order that represents the production project (multiple sales lines for items that must be produced), click Order, Planning.

  2. In the Sales Order Planning window, click Functions, Create Prod. Order.

  3. In the Create Order from Sales window, select Project Order in the Order Type field.

  4. Click Yes.

  5. Go to the production order just created.

The Source Type field of the production order contains Sales Header and the order has multiple lines (one for each sales line item that must be produced).

  6. Click Order, Planning to open the Order Planning window.

  7. Click Functions, Refresh to calculate new demand.

The order header line for the project order is displayed with all unfulfilled demand lines expanded under it. Although the production order contains lines for several produced items, the total demand for all production order lines is listed under one order header line in the Order Planning window, and the original customer name is displayed. You can now proceed to plan for the demand as described in Plan for New Demand.

Note: Demand lines in the project production order which have Prod. Order in their Replenishment System field represent underlying production orders. When you make supply orders (production orders) for these, you must again calculate a plan in the Order Planning window to deal with any unfulfilled component demand for them. In that case, they are displayed as demand lines under a normal production order header line, meaning, the project relation is no longer visible in the window. However, if you are using Order Tracking, you are able to look back and forth to all supply orders made under the original sales order.

About Planning Functionality

Refresh a Production Order

Replan a Production Order

Creating Production Orders from Sales Orders

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Processing Production Orders

The production order is a significant element in the Manufacturing area of the program. Production orders allow you to manage your entire production activity and carry out planning for material and capacities. Production orders can be created manually or automatically from Sales Orders.

To Create a Production Order:

You create a new production order by:

  1. completing the production order header

  2. refreshing the production order lines

A production order can contain an unlimited number of production order lines.

Routing Link Codes and Inventory Reservations

  • Routing Link Codes can be set up to link a component item defined on a parent item's production BOM to an operation on the parent item's routing. With the Routing Link Code, you can specify at which operation in a routing the material is to be consumed and used.

  • Routing link codes allow for greater just-in-time (JIT) functionality because it gives you the flexibility to flush the material at a specific operational step rather than all at the beginning or all at the end of the production order. Using the JIT functionality facilitates reduced inventories, which results in a lower cash requirement or higher working capital.

  • In certain production environments, it may be necessary to reserve components for a production order or reserve items for production order lines.

Production Order Changes

There may be various types of anticipated changes that need to be made to a production order prior to it being released to the shop floor. You may also need to make changes to a production order after work has begun.

  • Due Date: Causes a change in the Scheduling tab and routing lines. The Starting Date and Ending Date fields on the Schedule tab of the production order is automatically amended if you change the Due Date in the heading of a production order. The Starting and Ending date field values are updated based on the most recent settings of the Refresh Production Order batch job and Routing criteria of the production order.

  • Quantity: If a production order has a Source Type of Item or Family, and you make a change to the Quantity field in the heading, or to the Quantity field on the line, then you must run the Refresh function to reschedule the production order lines.

NOTE

If ledger entries have been posted for the order, then you cannot change the quantity on the production order header or lines, nor can you reset dates and time on the Schedule tab.

Changes to Components

Components may often need to be changed in order to manufacture an item. This is usually the case in a Make-to-Order (MTO) company, where items are produced to customer specifications. A production order may be created for an MTO item with components from a standard template production BOM. The components are then modified as needed.

To change a production order component:

  1. From the Prod. Order Component window select the component/item to be changed.

  2. Press F4 to delete the component.

  3. Click the Yes button in the Delete Prod. Order Component confirmation window.

  4. Press F3 to insert a new component in the BOM and complete the required fields.

Changes to Routings

Similar to the components, it may be necessary to modify the production order routing. In an MTO company, this is usually the case where items are produced to customer specifications. A production order may be created for an MTO item with operations from a standard template routing. The operations are then modified as needed. In order to recalculate the routing when operations have been changed, you would have to utilize the Replan function.

To change a production order routing:

  1. From the Prod. Order Routing window select the operation to be changed.

  2. Press F4 to delete the operation.

  3. Click the Yes button in the Delete Prod. Order Routing Line confirmation window.

  4. Press F3 to insert a new routing line and complete the required fields.

  5. Run the Replan Production Order batch job.

Replanning Production Orders

The Replan Production Order batch job is used to reschedule production orders, such as when you want to make changes to a production order routing. It is also used to create and plan production orders for lower level assemblies, as required by the current parent production order. When you replan, you not only select the scheduling direction, but also the number of levels for which you are planning.

The Replan Production Order batch job is not meant to be a substitute for the more advanced calculations of planning. While it can create orders for required lower level assemblies, it does not include time phasing, which is integral to planning calculations. A good use of this batch job is for a multi-level production order in which the parent and sub-assemblies are on the same production order and the Ending Date is adjusted for the parent item. In this situation, the batch job enables you to adjust the dates for the lower level assemblies.

There are three different levels that can be used when replanning:

  • No Levels

  • One Level

  • All Levels

Furthermore, when lower level production orders are created, the planning lot number is copied from the parent production order heading to the lower level production order headings. This is another link or connection between production orders.

Change Production Order Status

The first method of changing the production order status is to change the status in the current production order itself by selecting Functions, Change Status. This window allows you to select the status which this production order is to be assigned, enter the appropriate Posting Date, and select whether the unit costs of this production order are updated by placing a check mark in the Update Unit Cost field.

The second method is to utilize the [image] Change Production Order Status batch job, which changes multiple orders simultaneously.

Material Consumption

Materials may be consumed manually through the Consumption Journal, which may be desirable if there are frequent component substitutions or greater than expected scrap that needs to be reported.

Materials may also be consumed using automatic reporting, which is based on the different Show reporting methods.

  • Forward - This method assumes the expected quantity of all materials for the entire order is automatically consumed at the release of a production order, unless using routing link codes. When using routing link codes, the material is consumed after the start of the operational step is recorded in the Output Journal. To forward flush the entire production order, you need to do two things:

    • All items in the top-level production BOM need to have forward flushing selected on their respective item card.

    • All routing link codes on the production BOM must be removed.

  • Backward - This method is the actual quantity of all material automatically picked or consumed when the status of a production order is changed to Finished unless using routing link codes. When using routing link codes, the material is consumed after a quantity of the parent item is recorded for the operational step in the Output Journal.

    • Backward flushing (the principle of reporting methods used, production order quantity completed, and time reported) the entire production order requires the same setup as for forward flushing: The reporting method must be set to backward on each item card for all items within the parent BOM to be reported. In addition, all routing link codes must be removed from the production BOM.

To Post Consumption Manually:

  1. Open the [image] Consumption Journal window.

  2. Select your batch.

  3. Click the Functions, Calc. Consumption.

  4. On the Production Order tab, look up the Released Production Order to report consumption.

  5. Click the Options tab and type the Posting Date and select the appropriate Calculation Based on option.

  6. Click OK.

  7. Click Posting, Post to post consumption.

The Consumption Journal entries are posted to the item ledger as a negative adjustment.

Reversing Consumption Posting

Occasionally, it becomes necessary to reverse consumption journal entries, for example when a customer cancels an order once production is underway.

To Reverse a Consumption Journal Entry:

  1. Open the [image] Consumption Journal window.

  2. Select your Batch.

  3. In the Posting Date field, type the Posting Date of the entry to reverse.

  4. In the Prod. Order No. field, select the Production Order of the entry to reverse.

  5. In the Item No. field, select the item number of the entry to reverse.

  6. In the Quantity field, type a negative quantity.

  7. Click Posting, Post to post the reversal.

The Consumption Journal entries are posted to the item ledger as a positive adjustment.

Posting Output

Posting output allows you to track how much time is spent working on a Production Order as well as the quantity produced. As with material consumption, output may be recorded manually using the Output Journal, or automatically, based on the different Show reporting methods.

  • Forward - This method is the expected output (and time), which is automatically recorded at the release of a Production Order. Routing link codes are not a factor in the forward flushing of the output.

  • Backward - This method is the expected output (and time), which is automatically recorded at the finish of a Production Order. Routing link codes are not a factor in the back flushing of the output.

To Post Output Manually:

  1. Open the [image] Output Journal window.

  2. Select your Batch.

  3. Insert the Setup Time field with the Show Column function.

  4. Fill in the Posting Date field.

  5. In the Prod. Order No. field, click the AssistButton [image] and select the production order to record output from.

  6. Click the Functions, Explode Routing.

  7. Fill in the Setup Time and Run Time fields.

  8. Edit the Show Output Quantity

    The Output Quantity contains the quantity of the produced item that can be posted as output on the journal line. It is important to understand that only the output quantity on the last journal line will adjust the inventory level when posting the journal. This step indicates that the pieces are completed and put to stock.

    if necessary.

  9. Select the Finished check box if you want the following to happen:

    1. The routing status changed to Finished.

    2. The operation removed from the Allocated Quantity field in the Work Center Load or Machine Center Load window.

    3. The operation lines set to Finished.

  10. Click Posting, Post to post output.

When an output quantity is posted for the final operation on the routing, a positive Item Ledger Entry is created. This entry increases the on-hand inventory for the parent item equal to the output quantity reported. In addition, some entries are posted to the general ledger.

Posting Scrap

If scrap is produced during processing, it can also be entered in the output journal.

Reversing Output Posting

There are times when output posting must be reversed. An example of this would be if a data entry error occurred and an incorrect amount of output is posted to a Production Order.

To Reverse an Output Journal Entry:

  1. Open the [image] Output Journal window.

  2. Select your Batch.

  3. In the Posting Date field, type the Posting Date of the entry to reverse.

  4. In the Prod. Order No. field, select the Production Order of the entry to reverse.

  5. In the Item No. field, select the item number of the entry to reverse.

  6. In the Operation No. field, type the operation number of the entry to reverse.

  7. In the Run Time field, type a negative quantity.

  8. In the Output Quantity field, type a negative quantity, if a value was entered into this field during posting.

  9. In the Applies-To Entry field, click the AssistButton [image] and select the associated item ledger entry. This reverses the capacity and item ledger entries.

  10. Click Posting, Post to post the reversal.

The Output Journal entries are posted to the item ledger as a positive adjustment.

Production Journal

The Production Journal combines the functions of the Consumption Journal and Output Journals into one journal, which is accessed directly from a Released Production Order form. You can register both consumption and output in the Production Journal.

When the journal is opened, it is preset with the quantities to be posted. If nothing has been posted, all quantity fields the expected quantities defaulted from the Production Order. If partial postings have been made, the quantity fields on the lines show the remaining quantities.

Finishing Production Orders

Released production orders are Finished when the Change Production Order Status function has been performed, either directly from the production order or as a batch.

Note

Finishing the production order is an important task in completing the costing lifecycle of the item that is being produced. For instance, in a standard costing environment, when you consume material to produce an item, the cost of the item plus labor and overhead costs go into WIP; when the item is produced, WIP is reduced by the amount of the standard cost of the item. Typically, these do not net to zero. So that these can net to zero, you must run adjust cost. Irrespective of the Automatic Cost Adjustment option selected on the Inventory Setup window, the adjust cost process will only consider production orders that have been Finished.

Finished production orders allow you to view the detailed history of production orders, including their routings and components. This is a valuable feature if you are in a Make-to-Order (MTO) environment where you change the routings and components as needed. When customers call later to reorder, it is easy to view what they previously ordered.

A finished production order may be used as a template for creating new production orders. This is done with the Copy Prod. Order Document function.

Note

When the status of a production order is changed from Released to Finished, any component items with a Backward flushing method are consumed unless you are using routing links.

Related Topics

About Production Orders

Posting Output Quantity

Posting Run Time

Production Schedule

Releasing Production Orders Automatically

Releasing Production Orders by Status Change

Setting Up Production Orders

Using the Manufacturing Batch Unit of Measure

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides - Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Reserving Items for Production Order Lines

In the program, you can reserve items for production orders. You have to distinguish between production order lines and production order components.

In the following, a firm planned production order is used.

To Reserve Items for Production Order Lines:

  1. Open the [image] Firm Planned Prod. Order window.

  2. Select the firm planned production order you want to reserve items for.

  3. Place the cursor in the relevant production order line.

  4. Click Functions, Reserve to reserve items.

  5. Select the Sales Line, Order line, and then click Functions, Reserve from Current Line.

    The program has now reserved the quantity you entered in the firm planned production order line.

Note

If item tracking lines exist for the sales order, the reservation system will take you through special steps.

Related Topics

Amending or Canceling Item Reservations

Reserving Items for Production Order Components

Reserving Item-Tracked Items

Tracking Item Reservations

Viewing Item Availability in the Planning Worksheet

Processing Production Orders


Reserving Items for Production Order Components

In the program, you can reserve items for production orders. You have to distinguish between production order lines and production order components.

In the following, a firm planned production order is used.

To Reserve Items for Production Order Components:

  1. Open the [image] Firm Planned Prod. Order window.

  2. Select the production order you want to reserve items for.

  3. Place the cursor in the relevant production order line.

  4. Click Functions, Reserve.

  5. Select a line, for example the Item Ledger Entry line, and then click Functions, Reserve from Current Line.

    The program has now reserved the quantity you entered in the firm planned production component line.

Note

If item tracking lines exist for the sales order, the reservation system will take you through special steps.

Related Topics

Reserving Items for Production Order Lines

Reserving Item-Tracked Items

Amending or Canceling Reservations

Tracking Item Reservations

Viewing Item Availability in the Planning Worksheet

Processing Production Orders


Refresh a Production Order

This planning function calculates changes made to a production order header and does not involve production BOM levels.

The Refresh function basically calculates and initiates the values of the component lines and routing lines based on the master data defined in the assigned production BOM and routing and according to the order quantity and due date on the production order’s header. It is typically used after you have:

  • created a production order header manually – to calculate and create line data for the first time.

  • made changes to the production order header – to recalculate all the line data.

Note: You can change component lines and routing lines “on the fly” and the production order schedule is updated accordingly. When you refresh, those changes are cancelled as the order is reset according to master data.

To Refresh a Production Order

  1. Create a new production order header or change the Quantity or Due Date fields on an existing one.

  2. Click Functions, Refresh.

In the Refresh Production Order window, on the Options tab, define how and what to refresh:

  3. In the Scheduling Direction field, select:

  • Back – to calculate the operation sequence backwards from the earliest possible ending date (defined by due date and/or other scheduled orders) to the latest possible starting date.

Note: This default option is relevant in the majority of situations.

  • Forward – to calculate the operation sequence forward from the latest possible starting date (defined by due date and/or other scheduled orders) to the earliest possible ending date.

Note: This option is relevant for ASAP orders.

  4. Select in the Calculate field which parts of the production order to calculate when refreshing.

  5. Place a check mark in the Warehouse – Create Inbound Request field, to create a warehouse request for the putting away of the production order's components.

Note: The warehouse location must be set up to require put-away processing but not directed put-away and pick.

  6. Click OK to start the Refresh function according to your settings.

Note: It is not allowed to refresh a reserved production order. You can restore the reservation after the production order is refreshed, but in that case you should cancel the reservation before you refresh.

Note: Changes implemented with the Refresh function are very likely to change the capacity need of the production order and you may therefore have to reschedule operations afterwards. (See Reschedule an Operation.)

Replan a Production Order

Processing Production Orders

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Releasing Production Orders Automatically

With an automatic release, you can release several production orders at once.

You should use this facility if several production orders in your system are awaiting release and you do not intend to release them individually.

To Release Production Orders Automatically:

  1. Open the [image] Change Production Order Status window.

  2. In the Status Filter field, select Firm Planned to filter the production orders to be released.

  3. Click Functions, Change Status.

  4. In the New Status field, the Released option is preselected as a default. For Help about any other field, click the field and press F1.

  5. Click Yes. The production orders are now released.

Related Topics

Releasing Production Orders by Status Change

Finishing Production Orders

Processing Production Orders


Replan a Production Order

This planning function calculates changes made to components and routings lines, and it involves items on lower production BOM levels, for which it may generate new production orders.

Based on the changes you have made to the components and routing lines, the Replan function calculates and plans for any new demand for the production order. It is typically used after you have added or changed components that constitute underlying production orders.

Note: To include changes made to the header, you must first refresh (See Refresh a Production Order).

To Replan a Production Order

  1. From a production order, click Line, Components.

  2. Add a component, which is a produced item (a subassembly).

  3. From the production order, click Functions, Replan.

In the Replan Production Order window, on the Options tab, define how and what to replan:

  4. In the Scheduling Direction field, select:

  • Back – to calculate the operation sequence backwards from the earliest possible ending date (defined by due date and/or other scheduled orders) to the latest possible starting date.

Note: This default option is relevant in the majority of situations.

  • Forward – to calculate the operation sequence forward from the earliest latest possible starting date (defined by due date and/or other scheduled orders) to the earliest possible ending date.

Note: This option is relevant for ASAP orders.

  5. In the Plan field, select whether to calculate production requirements for produced items on the production BOM:

  • No Levels – to not consider lower level production. This only updates the item’s schedule (like refresh).

  • One Level – to plan for 1.-level production demand. 1.-level production orders may be created).

  • All Levels – to plan for all-level production demand. All-level production orders may be created.

  6. Select One Level, and click OK to replan the production order plus calculate and create a new underlying production order for the introduced subassembly – if it is not fully available.

Note: Changes implemented with the Replan function are very likely to change the capacity need of the production order and you may therefore have to reschedule operations afterwards. (See Reschedule an Operation.)

Related Topics

Refresh a Production Order

Plan for New Demand

Processing Production Orders

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Releasing Production Orders by Status Change

You can release both a planned and a firm planned production order by changing its status.

To Release Production Orders by Status Change:

  1. Open the [image] Firm Planned Prod. Order window.

  2. Select the production order to be released.

  3. Click Functions, Change Status.

  4. In the New Status field, select Released.

  5. Fill in the other fields as follows:

    Posting Date

    Enter the posting date to be used for any automatic posting.

    Update Unit Cost

    Place a check mark in the field to update the unit cost of the produced item and any production orders or sales orders related to this item.

  6. Click Yes. The production order is now released.

Related Topics

Releasing Production Orders Automatically

Finishing Production Orders

Processing Production Orders


Reschedule an Operation

When production orders are first created, either manually or through planning, they have realistic, but not necessarily optimal operation starting and ending times – this is called rough scheduling. In this automatic scheduling, the system considers different requirements, such as capacity need, capacity availability, and due dates and then it places (loads) operations in the calendar backwards from the production order due date. The more production orders created for the same (or proximate) due date, the earlier the starting date of the last one created. This logic functions well and provides a solid foundation, but it does not load the production resources optimally and you may therefore want to perform rescheduling – also called fine scheduling.

Rescheduling can be defined as changes you make concerning:

  • the starting and ending times of individual operations

  • which production resources operations are performed at.

Prior to rescheduling, you should make any necessary changes to the production order requirements, which influence the capacity need. These include changing components and/or operations, increasing the order quantity, changing the due date, etc.. (See Refresh/Replan a Production Order). Another requirement, which you can change and thereby affect the schedule, is the total capacity (time units) available according to the respective work center calendars used (see Create a Work Center Calendar).

You can enter the Production Schedule window from different places causing slightly different behavior:

To Enter for a Specific Production Order

  1. From a planned, firm planned, or released production order, click Functions, Production Schedule.

The same can be done in the Order Planning window, from a planning line of demand type Production.

The Production Schedule window opens showing all existing production orders (except simulated and finished). The operations for the relevant production order are highlighted with blue color.

Note: The relevant operations may not be visible within the default view when the window opens (see below).

To Enter for any Production Order

  1. Open the Production Schedule window from the Navigation Pane. (See also Check Order Progress.)

You can also open it from the Order Planning window, from a planning line of demand type Sales.

The Production Schedule window opens showing all existing production orders.

  2. Locate the operation that you wish to reschedule.

A tooltip text displays all relevant information when you place the cursor over an operation.

To Adjust the View

  1. Maximize the Production Schedule window by pressing Alt + space + x or click the Maximize button.

  2. Zoom in and out by pressing Shift + keys -/+ or press Shift + right/left mouse button.

  3. Click and drag the time scale right or left to show more or fewer days.

  4. Click the Production Order View/Resource View button to see operations in the context of orders or resources.

  5. Click the expand/collapse icons (+/-) to see the production resources performing the operations.

To Move Operations along the Time Scale

The system allows you to move operations along the time scale – within the constraints of the production data.

  1. Right-click on the operation and select Show Links from the menu. (This is very useful if there are related operations, see also Step 3)

  2. With the cursor on the operation, click and drag the operation bar horizontally to change its starting/ending times.

  3. Right-click on the operation and select Schedule previous/next operations to reschedule related operations automatically according to the manual move you have made.

  4. Right-click on the operation and select Restore initial values to cancel all changes made to the operation(s) since the Production Schedule window was opened or saved.

To Move Operations Between Resources

The system allows you to move operations to other production resources – within the constraints of the production order data and resource setup. Note: this is only possible in Resource View.

  1. Click Resource View.

  2. Click once on the operation to enable it for a vertical move, (indicated by black dots around the operation).

  3. With the cursor on the operation, click and drag the operation bar vertically to move it to another resource.

During both of the above rescheduling tasks, the system shows different types of messaging:

  • A tooltip text box is displayed while you drag, showing the changing starting/ending times.

  • If you drag the operation so far forward in time that it, or a related operation, exceeds the due date (shown as red square), then the operation and all its related operations are shaded with a hatch pattern.

  • If you drag the operation to a starting/ending time that exceeds those of related operations, the following message is shown: “The operation sequence is violated. Do you want to move the operation anyway?”

In many cases you can click Yes to this message as you are in the process of moving related operations.

  • If the operation has already started (output is posted), the system will disallow the move and display a message.

  • If the operation is marked as finished (on the production order routing line), the system will disallow the move and display a message.

  • If a subcontract purchase order date is violated when moving an operation, the system will show a warning.

  • If production order data is changed since you last saved or closed the Production Schedule window, a conflict message is shown and those operation changes are indicated in the window with cross-hatch shading.

  • Once an operation has been moved, it will have a red border (until the window is closed).

To Show Load

The load histograms in the bottom of the Production Schedule window are constantly updated to display the total time allocated to resources by the operations immediately above them. You can not interact in the histogram but you can select which resources to see the load columns for. Note: Values shown in load columns are based on an average time span between starting and ending times.

  1. Click Resource View.

  2. In the Show Load column at the far left of the window, place a check mark by each resource that you want to see a histogram for.

Note: The split bar above the histogram pane may need to be lifted to show all the load histograms selected with the check marks.

To Show Progress

You can have the system show progress (operation output) on each operation. In the Production Schedule Setup window, you can select whether this progress value should be based on:

  • Time – run time and setup time posted

  • Quantity – output quantity posted (see Register Consumption and Output)

  1. Right-click anywhere in the interaction pane and select Show Progress from the functions menu.

The system now shows the progress on each operation in the production order as a percentage figure. This figure is defined as the output posted (actual) as a percentage of the total quantity to be outputted (expected).

Note: Component Availability

In the Production Schedule window there are no system checks concerning component availability after rescheduling. The interrelation between Order Planning and Production Schedule is based on an all manual work flow. There is no automation logic between the two. You can say that one is giving new requirements to the other with every action in this work flow. Therefore, you may have to manually check availability after every rescheduling performed. (See Check Availability against Schedule.)

Related Topics

Set up a Work Center

Show Order Progress

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Setting Up Production Orders

When you set up a new production order, there are fields that must always be filled in, fields that can be filled in as needed and fields in which you cannot enter anything.

In the following, a firm planned production order is used.

To Set Up Production Orders:

  1. Open the [image] Firm Planned Prod. Order window.

  2. Fill in the fields on the card. The following fields are mandatory:

    No.

    Source Type

    Source No.

    Quantity

    Due Date

    Starting Time

    Starting Date

    Ending Time

    Ending Date

    Inventory Posting Group

    Gen. Prod. Posting Group

    On the production order line, the following fields are mandatory:

    Item No.

    Due Date

    Starting Date

    Ending Date

    Quantity

    Unit of Measure Code

    Unit Cost

    Cost Amount

    For Help about any other field, click the field and press F1.

Related Topics

Creating Production Order Headers

Refresh a Production Order

Replan a Production Order

Processing Production Orders

Using the Manufacturing Batch Unit of Measure


Tracking Item Reservations

The tracking facility offers you an overview of the various documents related to a particular business case.

Tracking shows how sales orders, production orders and purchase orders are related to the manufacturing order through the reservations.

To Track Item Reservations:

  1. Open the [image] Firm Planned Prod. Order window.

  2. Select a firm planned production order.

  3. Select the production order line you want to track.

  4. Click Functions, Order Tracking. The lines in the Order Tracking window display the documents that are related to the current production order line.

Related Topics

Reserving Items for Production Order Lines

Reserving Items for Production Order Components

Amending or Canceling Item Reservations


Register Consumption and Output

This execution task is performed in the Production Journal window. The journal combines the functions of the separate consumption journal and output journals into one journal, which is accessed directly from a released production order. Its main purposes are to manually post the consumption of components, the quantity of end items produced, and the time spent in operations. The values are posted to ledger entries under the released production order: Consumption quantities are posted as negative item ledger entries, output quantities are posted as positive ledger entries, and times spent are posted as capacity ledger entries. Such posted values can also be viewed at the bottom of the journal as actual quantities.

Note: Because consumption data is handled together with output data, this journal offers an opportunity to display linked components and operations in a logical process structure: Components indented under their respective operation. This requires that you use routing link codes (see Create Routing Links). Note: Components without routing link codes are listed first in the journal.

To Register Consumption and Output

  1. From a released production order line which is ready for registration, click Line, Production Journal.

The Production Journal window opens showing journal lines for the production order line according to the Prod. Order Component and Prod. Order Routing windows. (These again originate from the production BOM and routing assigned to the item that is being produced (see Create a Production BOM and Create a Routing).

  2. In the Posting Date field at the top of the journal, you can enter a posting date that should apply to all lines. The work date is entered by default. The field is meant as a quick way to align posting dates on all lines – if relevant. Note: Posting date entered on individual lines will override this field.

  3. In the Flushing Method Filter field at the top of the journal, you can select to also view consumption and output that is posted automatically (flushed) according to the flushing methods defined for the item and resource respectively.

On each type of line in the journal, only the relevant fields are shown – the rest are blank and write-protected.

When the journal is opened, it is preset with the quantities to be posted. If nothing is posted so far, all quantity fields will show by default the expected quantities carried from the production order. If partial postings have been made, the quantity fields on the lines will show the remaining quantities. The quantities and times already posted for the order are displayed at the bottom of the journal as actual entries.

Concerning the quantities in the Output Quantity field, you have the option to set up which values to preset when the journal is first opened. This is done from the Manufacturing Setup window, General tab, in the Preset Output Quantity field.

  4. Proceed to enter the relevant quantities in the editable fields – consumption and/or output.

Note: Beware that only the output quantity on the last journal line of entry type Output will adjust the inventory level when posting the journal. So be careful not to post the journal, with the expected output quantity preset on the last output line, until all end items are actually produced.

  5. Place a check mark in the Finished field of output lines to indicate that the operation is finished. This field "communicates" with the Routing Status field on a production order routing line.

  6. Press F11 (or click Posting, Post) to register the quantities you have entered and then close the journal.

If values remain to be posted, the journal will contain these remaining values next time it is opened and the posted values are shown as actual values in the bottom of the journal.

Note: If an item being consumed is blocked, the journal will not post consumption quantities for that item. If a machine or work center is blocked, the journal will not post output quantities or process times for the output line in question

Warning: If you close the journal without posting, the changes will be lost. Therefore, the system displays a request message allowing you to stay in the journal if you close it by mistake.

Processing Production Orders

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Posting Consumption Manually

If the flushing method is Manual, you must post the components manually, using the consumption journals.

To Post Consumption Manually:

  1. Open the [image] Consumption Journal window.

  2. Fill in the fields with the production order data and the consumption data. For Help about a specific field, click the field and press F1.

If the warehouse location where the components are stored is set up to use bins but does not require pick processing, assign a bin code to the journal line to indicate where the items should be taken from in the warehouse.

  3. Click Posting, Post to post the consumption.

Related Topics

Entering Master Data for Consumption Calculation

Processing Production Orders


Posting Run Time

The run time represents work progress in the form of the necessary working time.

To Post Run Time:

  1. Open the [image] Output Journal window.

  2. In the Posting Date field, enter a posting date.

  3. In the Production Order No. field, enter a production order number.

  4. In the Item No. field, enter an item number.

  5. In the Operation No. field, enter an operation number.

  6. In the Run Time field, enter the time necessary for processing the operation.

  7. In the Output Quantity field, enter the quantity produced in the period.

  8. If the operation is completed, place a check mark in the Finished field.

  9. If the warehouse location where the items should be put away uses bins but does not require put-away processing, assign a bin code to the journal line to specify where the items should be placed in the warehouse.

  10. Click Posting, Post to post the operations, and then click Yes.

Related Topics

Register Consumption and Output

Entering Master Data for Output Posting

Posting Output Quantity

Processing Production Orders


Posting Output Quantity

The output quantity represents the work progress in the form of the finished quantity.

When you post output quantity on the last operation, the program will automatically update the inventory.

To Post Output Quantity:

  1. Open the [image] Output Journal window.

  2. In the Posting Date field, enter a posting date.

  3. In the Production Order No. field, enter the production order number.

  4. In the Item No. field, select the item number.

  5. In the Operation No. field, enter the operation number.

  6. In the Output Quantity field, enter the product quantity.

  7. If the operation has been completed, place a check mark in the Finished field.

  8. If the warehouse location where the items should be put away uses bins but does not require put-away processing, assign a bin code to the journal line to specify where the items should be placed in the warehouse.

  9. Click Posting, Post to post the operations. The output quantity will be posted. The item is now available for shipping.

Related Topics

Register Consumption and Output

Entering Master Data for Output Posting

Posting Run Time

Posting Consumption Manually

Processing Production Orders


Posting Scrap Manually

If scrap is produced during processing, it can also be entered in the output journal. Note that the scrap quantity does not increase the output quantity.

To Post Scrap Manually:

  1. Open the [image] Output Journal window.

  2. In the Posting Date field, enter the posting date.

  3. In the Production Order No., enter the production order number.

  4. In the Item No. field, select the item number.

  5. In the Operation No. field, select the operation that you want to post the scrap to.

  6. In the Run Time field, enter the time that was needed to process the scrap.

  7. In the Scrapped Quantity field, enter the scrap quantity.

  8. In the Scrap Code field, enter the scrap code.

  9. If the warehouse location where the items should be put away uses bins but does not require put-away processing, assign a bin code to the journal line to specify where the items should be placed in the warehouse.

  10. Click Posting, Post to post the operations.

Related Topics

Register Consumption and Output

Posting Output Quantity

Posting Run Time

Processing Production Orders


About Forecasting Functionality

Forecasting functionality is used to create indirect demand; direct demand is created from sales and production orders. During creation of the Master Production Schedule (MPS), the forecast is netted against the sales and production orders. When MPS is run as a regenerative plan, direct demand is net against the forecast. The Component option on the forecast determines which type of requirements to take into consideration in the netting process. If the forecast is for a Sales Item, only sales orders net the forecast.

Forecasting allows your company to create "what if" scenarios and efficiently and cost-effectively plan for and meet demand. Accurate forecasting can make a critical difference in customer satisfaction levels with regard to order promising dates and on-time delivery.

Sales Forecasts and Production Forecasts

The forecasting functionality in the program can be used to create sales or production forecasts, in combination or independently. For example, most make-to-order companies don't carry finished goods inventory, because each item is produced when it is ordered. Anticipating orders (sales forecasting) is critical for a reasonable turnaround time on the finished goods (production forecasting). As an example, component parts with lengthy delivery times, if not on order or on inventory, can delay production.

  • The sales forecast is the sales department's best guess at what will be sold in the future, and is specified by item and by period. However, the sales forecast is not always adequate for production.

  • APICS defines the production forecast as "a projected level of customer demand for a feature (option, accessory, etc.) of a make-to-order or an assemble-to-order product." The concept of the production forecast used in the program is a bit wider as it also includes finished items, components, and spare parts.

In most cases, then, the production planner modifies the sales forecast to fit the conditions of production, yet still satisfies the sales forecast.

Creating Forecasts

Forecasts are created manually using the Production Forecast. Multiple forecasts can exist in the system, and are differentiated by name and type. Forecasts can be copied and edited as necessary. Note that only one forecast is valid for planning purposes at a time.

The forecast consists of a number of records each stating item number, forecast date, and forecasted quantity. The forecast of an item covers a period, which is defined by the forecast date and the forecast date of the next (later) forecast record. From a planning point of view, the forecasted quantity should be available at the start of the demand period.

You must designate a forecast as Sales Item, Component, or Both. The forecast type Sales Item is used for sales forecasting. The production forecast is created using the Component type. The forecast type Both is only used to give the planner an overview of both the sales forecast and the production forecast. With this option, the forecast entries are not editable. By designating these forecast types here, you can use the same worksheet to enter a sales forecast as you do a production forecast, and use the same sheet to view both forecasts simultaneously. Note that the system treats the different inputs (sales and production) differently when calculating planning, based on item, manufacturing, and production setup.

Component Forecast

The component forecast can be seen as an option forecast in relation to a parent item. This can, for example, be useful if the planner can estimate the demand for the component.

As the component forecast is designed to define options for a parent item, the component forecast should be equal or less than the sales item forecast quantity. If the component forecast is higher than the sales item forecast, the system treats the difference between these two types of forecast as independent demand.

Forecasting Periods

The forecast period is valid from its starting date until the date the next forecast starts. The time interval window gives you multiple choices to insert the demand at a specific date in a period. It is therefore recommended not to change the forecast period scope unless you want to move all forecast entries to the starting date of this period.

Forecast by Locations

It can be stated in the manufacturing setup if forecasts on locations are to be limited to each location. Note, though, that if location-based forecasts are viewed in isolation, the overall forecast may not be representative.

Related Topics

Creating the Planning Worksheet (Running MPS/MRP)

Creating Production Orders from Sales Orders

Order Planning

Plan for New Demand

Plan a Project Order

Production Forecast


Creating Production Order Headers

You can create a production order manually, and the first step in this procedure is to create a production order header.

In the following, a firm planned production order is created. You can also create production orders with a different status.

To Create Production Order Headers:

  1. Open the [image] Firm Planned Prod. Order window.

  2. In the No. field, insert the next number in the series.

  3. In the Source Type field, select the source of the production order.

  4. In the Source No. field, select the item number, family or sales header for which the production order is to be generated.

  5. Fill in the Quantity and Due Date fields according to your specifications.

    Now you have created the production order header.

Related Topics

Setting Up Production Orders

Creating Production Orders from Sales Orders

Calculating Lines from Production Order Headers

Processing Production Orders


Calculating Lines from Production Order Headers

The production order lines contain the items that are to be produced in the production order.

You can either insert the production order lines manually or use the function that calculates the production order lines from the header.

If you use the function to calculate the production order lines from the header, the program deletes the old production order lines and calculates new lines.

To Calculate Lines from Production Order Headers:

  1. Open the [image] Firm Planned Prod. Order window.

  2. In the No. field, insert the next number in the series.

  3. In the Source Type field, select the source of the production order.

  4. In the Source No. field, select the item number, family or sales header for which the production order is to be generated.

  5. Fill in the Quantity and Due Date fields according to your specifications.

  6. Click Functions, Refresh.

  7. On the Production Order tab, the current production order has been selected as a default.

  8. On the Options tab, you can make the following selections:

    Scheduling Direction

    Forward

    Scheduling starts from the starting date and proceeds forward (to the finishing date). (You must fill in the starting date to use this option.)

    Back

    Scheduling starts from the ending date and proceeds backward (back to the required starting date).

    Calculate

    Lines

    Place a check mark in the field to calculate the production order lines.

    Routings

    This field has no influence on calculating the production lines.

    Component Need

    This field has no influence on calculating the production lines.

    Warehouse

    Create Inbound Request

    This field has no influence on calculating the production lines.

  9. Click OK to confirm your selection. Now the production order lines are calculated.

Related Topics

Refresh a Production Order

Calculating Production Order Components

Calculating Production Order Routing Lines

Processing Production Orders

Using the Manufacturing Batch Unit of Measure


Calculating Production Order Components

If you have amended production order lines, you must also refresh the components of the production order.

In the following, the components are calculated for a firm planned production order. This can also be done for production orders with a different status.

To Calculate Production Order Components:

  1. Open the [image] Firm Planned Prod. Order window.

  2. Select the relevant production order.

  3. Click Functions, Refresh.

  4. On the Production Order tab, the current production order has been selected as a default.

  5. On the Options tab, you can make the following selections:

    Scheduling Direction

    Forward

    Back

    This field has no effect on the outcome.

    Calculate

    Lines

    You must leave the field blank to retain the current production order line.

    Routings

    This field has no effect on the outcome.

    Component Need

    Place a check mark in the field to calculate component need.

    Warehouse

    Create Inbound Request

    This field has no effect on the outcome.

  6. Click OK to confirm your selections. The program then refreshes the production order components.

Note

Calculating production order components deletes previous changes in the components.

Related Topics

Calculating Lines from Production Order Headers

Calculating Production Order Routing Lines

Using the Manufacturing Batch Unit of Measure


Calculating Production Order Routing Lines

If you have amended production order lines, you must also refresh the routing of the production order.

In the following, the routing lines are calculated for a firm planned production order. This can also be done for production orders with a different status.

To Calculate Production Order Routing Lines:

  1. Open the [image] Firm Planned Prod. Order window.

  2. Select the relevant production order.

  3. Click Functions, Refresh.

  4. On the Production Order tab, the current production order has been selected as a default.

  5. On the Options tab, you can make the following selections:

    Scheduling Direction

    Forward

    Back

    This field has no effect on the outcome.

    Calculate

    Lines

    You must leave this field blank to retain the current production order line.

    Routings

    Place a check mark in the field to calculate routings.

    Component Need

    This field has no effect on the outcome.

    Warehouse

    Create Inbound Request

    This field has no effect on the outcome.

  6. Click OK to confirm your selections. The program then refreshes the production order routing lines.

Note

Calculating production order routing lines deletes previous changes in the routings.

Related Topics

Calculating Production Order Components

Calculating Lines from Production Order Headers


Creating a Forecast

Sales and Production forecasting are fully supported by the program and completed on the Production Forecast window.

To Create a Forecast:

To create a forecast in the program:

  • Open the [image] Production Forecast.

  • Select the Production Forecast Name. Multiple forecasts can exist in the system, and are differentiated by name and Forecast Type.

  • Select the Location to which this forecast will apply.

  • Select the Forecast Type: Sales Item, Component, or Both. If you select Sales Item or Component, you can edit the quantity by period. If you select Both, you cannot edit the quantity, but you can press the AssistButton [image] and view the constituent lines.

  • Specify a Date Filter if you wish to limit the amount of data displayed.

On the lines, the Item List for your company will display. This information is not editable.

For each line of the Item List, enter the Sales Item or Component forecast for the period specified.

You can alter the period displayed in each column by clicking on one of the time interval buttons in the lower left-hand corner of the window: 1 (day), 7 (week), 31 (month), 3 (quarter), 12 (year), or three horizontal lines (accounting period, as set up in Financial Management). It is worth considering which time interval you want to use for future forecasts so that the time interval is consistent throughout. When you enter a forecast quantity, it is valid on the first day of the time interval that you select. For example, if you select a month, you enter the forecast quantity on the first day of the month. If you select a quarter, you enter the forecast quantity on the first day of the first month in the quarter.

Within the periods, Net Change or Balance at Date quantities will display. Select the type of quantity using the buttons to the right of the time interval buttons in the lower left-hand corner of the window.

As an alternative to entering a forecast manually, you can click Functions, Copy Production Forecast and populate the Production Forecast with an existing forecast, and make edits to quantities as appropriate.

Related Topics

About Forecasting Functionality


Plan for New Demand

This planning task can be performed in the Order Planning window, which displays all new demand along with availability information and suggestions for supply. It provides the visibility and tools needed to effectively plan demand from sales lines and component lines and then create different types of supply orders directly.

You can enter the Order Planning window in two ways depending on your focus:

To Plan for a Specific Production Order

  1. From a planned, firm planned, or released production order, click Order, Planning.

  2. In the Order Planning window, click Functions, Calculate Plan.

The window displays planning lines according to the view filter Production Demand – meaning unfulfilled component lines of all existing production orders. The system deliberately does not show demand only for the production order in context because it is “risky” to plan for one production order without overview of demand for potentially earlier components lines. Planning lines for the production order in context are expanded.
(The procedure continues below)

To Plan for Any New Demand

  1. Click Order Planning (from the Navigation Pane).

  2. In the Order Planning window, click Functions, Calculate Plan.

The window displays planning lines according to the view filter All Demand – meaning sales order lines as well as production component lines with insufficient availability. You can change this filter as you like.

(Continued) When the plan is being calculated, the system analyzes any new demand that has arisen since a plan was last calculated. It calculates the needed quantity, based on total availability, of each demand line found. This calculation is done order-by-order – meaning that the order which includes the demand line with the earliest due/shipment date is considered first, and all other demand lines in that order, irrespective of their individual due/shipment dates, are also calculated for that order. Therefore, all planning lines under one order header line have the same demand date. When the calculation is completed, it displays all unfulfilled demand as planning lines sorted by earliest demand date and with the various quantity fields filled in.

The Order Planning window is filled with order header lines representing orders with unfulfilled demand.

Note: If there is no unfulfilled demand, the system will display a message saying no planning line is created.

The Demand Date field contains the earliest shipment/due date of a demand line in the order.

The Demand Type field shows whether the demand is from sales lines (Sales) or component lines (Production).

The Description field contains:

  • The description of the produced item, in case of production demand. (Customer name, in case of production demand from a project production order, see Plan a Project Order)

  • The customer name, in case of sales demand.

The first planning line has the earliest demand date and you should therefore plan this line first. To see the actual demand lines (sales order lines or component lines) of each order header line, you must expand the line:

  3. Click the triangle icon in the Expand field (Ctrl-Shift-A) or click Functions, Expand All to see the underlying planning lines that represent demand lines with insufficient availability.

For each expanded planning line (demand line), you can see values in information fields at the bottom of the window:

  • Qty. on Other Locations – if the item exists on another location. You can then look up and select it.

  • Substitutes Exist – if a substitute item is created for the item. You can then look up and select it. Note that this feature only applies to components, that is, from demand lines of type Production).

  • Quantity Available – showing the total availability of the item (Projected Available Balance).

  • Earliest Date Available – shows the arrival date of an inbound supply order that can cover the needed quantity on a date later than the demand date.

  4. Select in the Replenishment System field which type of supply order to create.

The default value is that of the item card (or SKU card), but you can change it to one of 3 options:

  • Purchase – to create a purchase order.

  • Transfer – to create a transfer order.

  • Prod. Order – to create a production order.

In the Supply From field you must select a value according to the selected replenishment system.

Note: If the field is not filled in, the system will display an error message when you use the Make Supply Order function, and no supply order will be created for the planning line in question. This, however, is not the case if the replenishment system is Prod. Order.

  5. From the Supply From field, look up in the relevant list and select where to supply from:

  • If replenishment system is Purchase, the field looks up in the Item Vendor Catalog window.

  • If replenishment system is Transfer, the field looks up in the Location List window.

In case the demanded item exists on another location, the Qty. on Other Location field at the bottom shows a value and you can then look up and select the location from which the item should be supplied when you make the transfer order.

In case a substitute exists for the demanded item, the Substitute Exists field at the bottom contains a Yes, and you can then look up to the Item Substitution Entries window and select the substitute.

  6. Place a check mark in the Reserve field if you want to make a reservation between the supply order you are creating and the demand line (sales line or component line) that it is created for. It is empty by default.

Note: You can only place a check mark if the item has Optional or Always in the Reserve field on its item card.

  7. In the Qty. to Order field, you can enter the quantity that will go on the supply order you are creating.

The default value is the same quantity as that in the Needed Quantity field. But you may decide to order more or less than this quantity based on your knowledge of the demand situation. If, for example, you see in the Order Planning window that several unrelated demand lines are for the same purchased item, and they are due around the same date, you can consolidate these by entering the total needed quantity in the Qty. to Order field of one line, and then delete the other, obsolete planning lines for that item.

  8. In the Due Date and Order Date fields, you can enter the dates that should apply to the created supply orders.

These 2 fields are interrelated according to the Default Safety Lead Time field (under Manufacturing Setup). By default, the Due Date is the same as the Demand Date, but you can change this as you like.

Note: If you enter a date later than the Demand Date, the system will warn you, but will allow the change.

To Make Supply Orders

When you have finished your planning work in the Order Planning window, for example defined an alternative way to supply the quantity, you can proceed to create supply orders for one or more of the planning lines.

  1. Place the cursor on a relevant planning line and click Make Orders.

  2. In the Make Supply Orders window, on the Order Planning tab, select one of the following:

  • For the Active Line – to make a supply order only for the line where the cursor is placed.

  • For the Active Order – to make supply orders for all lines in the order where the cursor is placed.

  • For All Lines – to make supply orders for all lines in the Order Planning window.

  3. Define on the Options tab what kind of supply orders, or requisition worksheet lines, should be made.

Note: The settings you last made in the Make Supply Orders window will be saved under your user ID so that they are the same the next time you use the window.

  4. Click OK to have the system make the suggested supply orders or requisition worksheet lines.

You have now planned for the unfulfilled demand by making respective supply orders. Details about specific work flows when using the Order Planning window would depend on a company’s internal policies.

Note: The supply orders you create may introduce new dependent demand, for example for underlying production orders, and you should therefore click Calculate Plan again to find these and deal with them before moving down the list.

Related Topics

About Planning Functionality

Refresh a Production Order

Replan a Production Order

Reschedule an Operation

Check Availability against Schedule

Calculating the Planning Worksheet (Running MPS/MRP)

This topic is part of a series of quick guides that is available as a document that you can edit and print in Microsoft Office Word. The file is called Quick Guides – Manufacturing Foundation.doc. It is installed with the online Help. The default path is C:\Program files\Microsoft Dynamics NAV\CSIDE Client\***, where *** is a three-letter code for your language.


Replanning Production Orders

Sometimes you may want to replan a production order.

In the following, a firm planned production order is replanned. This can also be done for production orders with a different status.

To Replan Production Orders:

  1. Open the [image] Firm Planned Prod. Order window.

  2. Select the relevant production order.

  3. Click Functions, Replan.

  4. On the Production Order tab, the number of the current production order has been selected as a default.

  5. On the Options tab, you can make the following selections:

    Scheduling Direction

    Forward

    Scheduling starts from the starting date and proceeds forward (to the finishing date).

    Back

    Scheduling starts from the ending date and proceeds backward (back to the required starting date).

    Plan

    No Levels

    Only date adjustments are calculated.

    One Level

    For the current production order, the gross/net requirement is planned and possible orders for subassemblies are created.

    All Levels

    A gross/net requirement is planned, and the system automatically raises new production orders for subassemblies, if there is a need for them. This calculation considers all levels.

  6. Click OK to confirm your selection. The program then replans the production order.

Related Topics

Replan a Production Order

Setting Up Production Orders

Creating Production Order Headers


Refreshing Planning Demands

You can use the Refresh Planning Demand batch job to refresh the planning components and the routing lines for the current planning line.

To Refresh Planning Demands:

  1. Open the [image] Planning Worksheet window.

  2. In the Planning Worksheet window, select the line you want to refresh.

  3. Click Functions, Refresh Planning Line.

  4. On the Planning Line tab, the filters are prepared for the current Lot No. field.

  5. On the Options tab you can make the following selections:

    Scheduling Direction

    Forward

    Scheduling starts from the starting date and proceeds forward (to the finishing date).

    Back

    Scheduling starts from the ending date and proceeds backward (back to the required starting date).

    Calculate

    Routings

    Place a check mark in the field to refresh the planning routings.

    Component Need

    Place a check mark in the field to refresh the planning components.

  6. Click OK to confirm your selections.

Related Topics

Plan for New Demand

Replanning Production Orders

Calculating the Planning Worksheet (Running MPS/MRP)


Tracking Entries in Planning Lines

The order tracking function offers you an overview of the documents that are related to the current planning line.

To Track Entries in Planning Lines:

  1. Open the [image] Planning Worksheet window.

  2. Select the line you want to track.

  3. Click Functions, Order Tracking.

  4. Click Show to view the tracked line.

Related Topics

Tracking Item Reservations

Calculating the Planning Worksheet (Running MPS/MRP)


Setting Up Accounts for Posting Purchases to Inventory

In the Manufacturing application area, the standard method of inventory adjustment is expanded so that the indirect costs and the overhead costs are posted to additional accounts.

To Set Up Accounts for Posting Purchases to Inventory:

  1. Open the [image] General Posting Setup window.

  2. Fill in the Direct Cost Applied Account, Overhead Applied Account and Purchase Variance Account fields.

Related Topics

Posting Capacities

Posting Consumption Manually

Posting Output Quantity

Posting Run Time

Posting Scrap Manually


Setting Up WIP Accounts for Posting Material Consumption

Material consumption credits the inventory account and debits the WIP account.

However, you must first set up the WIP account.

To Set Up WIP Accounts for Posting Material Consumption:

  1. Open the [image] Inventory Posting Groups window.

  2. Click Setup in the Inventory Posting Group window.

  3. Fill in the WIP Account field.

Related Topics

Posting Consumption Manually


Example - Different Machine Centers Assigned to a Work Center

It is important to plan which capacities are to make up the total capacity when setting up the machine centers and work centers.

If different machine centers (such as 210 Packing table 1, 310 Painting Cabin ...) are assigned to a work center, the consideration of the single capacities of the machine centers is significant because failure of one machine center can interrupt the entire process. The machine groups can be entered according to their capacity but may not be included in the planning. By deactivating the Consolidate Calendar field only the capacity of the work center but not the machine center is assigned in the planning.

If, however, identical machine centers (such as 210 Packing table 1 and 220 Packing table 2) are combined in a work center, the consideration of the work center as a sum of the assigned machine centers is of interest. Therefore, the work center would be listed with zero capacity. By activating the Consolidate Calendar field, the common capacity is assigned to the work center.

If capacities of work centers are to make no contribution to the total capacity, you can achieve this with efficiency = 0.


Concept for Production BOMs

Manufacturers use production bills of material to supervise the use of items and components used for intermediate and finished products.

The products to be produced consist of items and possibly of sub-assemblies, so that the production BOM consists of single items, sub-assemblies and other production BOMs (phantom BOMs).

Production bills of material can consist of several levels, and you can use a maximum of 50 BOM levels. One production BOM corresponds to one level. The use of other item production BOMs defines the lower levels. The production BOMs are assigned to the item in the Production BOM No. field on the Manufacturing tab of the item card.

The production BOMs of this program exclusively manage the production material needs. Resources are managed in the routings.

A production BOM can only be defined after the items of which it consists have been set up.

Example

Item 1100 Front Wheel consists of the following items:

  • 1110 Rim

  • 1120 Spokes

  • 1150 Front Hub, which consists of 1151 Axle Front Wheel and 1155 Socket front

  • 1160 Tire

Related Topics

Create a Production BOM

Creating New Production BOMs

Creating New Versions of Production BOMs

Copying Production BOM Versions by Using the Copy BOM Header Function

Copying Production BOM Versions by Using Copy BOM Version Functions

Displaying Lists of Production BOMs

Entering Comments for Production BOMs

Entering Comments for Production BOM Components

Comparing Material Quantities for all Production BOM Versions

Finding Where Production BOMs Are Used

Finding Where Production BOM Components Are Used

Copying Production BOMs

Replacing Production BOM Items

Deleting Expired Components

Printing the Quantities of Items Needed for BOMs

Printing the Rolled-up Cost Shares report

Creating New Routings

Create Routing Links

Using the Manufacturing Batch Unit of Measure


Production BOM Versions

The production BOMs support the version principle which is explained below.

The version principle enables various versions of a production BOM to be managed. The structure of the production BOM version corresponds to the structure of the production BOMs consisting of the production BOM version header and lines. The basic difference is in the time validity of the versions. The validity is defined by the starting date.

The starting date and the status are decisive for using the production BOM version in production.

Starting Date

The starting date indicates the start of the period in which this version is valid. For all other considerations, the starting date is a filter criterion for calculations and evaluations. The BOM version is valid until the next version becomes valid for its starting date.

Status

The status of the version can correspond to the following options:

  • New

    The New status is automatically filled in when a new version is created. In this status, all changes can be made, and no consideration is made in the calculations.

  • Certified

    The version reaches the Certified status when the version of the production BOM has been created completely and correctly. To do this, it must be checked first by appropriately qualified employees. After setting the status to Certified, the BOM is considered in calculations (according to starting date and ending date). No changes to the version are possible.

  • Under Development

    If changes to the production BOM version are necessary, the status is set to Under Development to allow changes.

  • Closed

    Indicates that the BOM version is no longer valid.

Calculation Formula

The quantity is calculated under consideration of different dimensions which are also entered on the lines. The dimensions refer to an order unit of the respective item. The length, width, depth and weight can be entered as dimensions.

The Calculation Formula, Length, Width, Depth and Weight columns are not displayed, because they are only used by some users. If you wish to use the calculation of the quantity, you must first display these columns.

The relation of the individual components is defined by the calculation formula. The following possibilities are available as a calculation formula:

  • Empty

    No consideration of dimensions. (Quantity = Quantity per.)

  • Length

    Quantity = Quantity per * Length

  • Length * Width

    Quantity = Quantity per * Length * Width

  • Length * Width * Depth

    Quantity = Quantity per * Length * Width * Depth

  • Weight

    Quantity = Quantity per * Weight

Example

In a production BOM, seventy metal parts with the dimensions
 length = 0.20 m and width = 0.15 m are required. The values are entered
 as follows: Calculation Formula = Length * Width, Length = 20, Width =
 15, Quantity per = 70. The quantity is given by the Quantity per * Length
 * Width, that is, Quantity = 70 * 0.20 m * 0.15 m = 2.1 m2.

Related Topics

Concept for Production BOMs

Creating New Versions of Production BOMs

Copying Production BOM Versions by Using Copy BOM Version Functions

Copying Production BOM Versions by Using the Copy BOM Header Function

Comparing Material Quantities for all Production BOM Versions


List Production BOM Structures

The structure of the production BOM can be represented by reports. For representation of a BOM, all levels are observed, that is, the production BOM is completely exploded.

For use, evaluations and representations of the BOMs, the starting date of the version is always important as a filter criterion. All evaluations of the production BOMs refer to a defined period which needs to be specified or preset.

You can choose between two reports which display the BOM data in detail:

  • Quantity Explosion of BOM

  • Cost Share Explosion of BOM

Related Topics

Printing the Quantities of Items Needed for BOMs

Printing the Rolled-Up Cost Shares Report


Shop Calendars

The shop calendars refer to work shifts. They are a classification tool to group working times. The work shifts must be set up before the shop calendars can be created.

The availability and efficiency can be evaluated and displayed separately, according to work shifts for the capacity.

Use of Shop Calendars

The shop calendar is used for presetting the availability of capacities. This presetting is done in different stages and is systematically refined until the final calendar results in the correct capacity.

A rough setting of the working time is made. This rough setting is only used in the calculation of a replenishment plan. The rough calendar is the basis for rough planning.

The machine center and work center refer to a calendar. Here other calendar absences can be planned, which deviate from the settings in the shop calendar and enable further specification.

From these presettings, an exact calendar is calculated for the capacities, which then forms the basis for fine scheduling of the capacity planning.

The individual calendar of the capacities is the basis for the available working time in the efficiency lists.

Related Topics

Set Up a Work Center

Create a Work Center Calendar

Setting Up Work Shifts

Setting Up Working Calendars

Setting Up Holiday Calendars

Setting Up Machine Centers

Setting Up Work Centers

Entering Time Periods When Machine Centers Cannot Be Used

Updating Calendar Entries for Machine Centers

Recalculating Calendar Entries for Machine Centers

Entering Time Periods When Work Centers Cannot Be Used

Updating Calendar Entries for Work Centers

Recalculating Calendar Entries for Work Centers


Purpose of the Routings

Manufacturing companies use routings to show the manufacturing process. The program offers facilities for entering the manufacturing process, both in terms of chronology and capacity. The routings therefore form the basis for the manufacturing.

The program supports the production of part families, that is, identical or similar parts can be manufactured with a single routing.

The routing is the basis of process scheduling, capacity scheduling, and optionally of scheduled assignment of material needs (manufacturing-synchronous planning) and manufacturing documents.

In order to be able to work with routings, the master data of the capacity planning must be set up first.

The routings are assigned to the articles in the item master data.

Related Topics

Create a Routing

Creating New Routings

Creating New Versions of Routings

Listing all Routings

Finding Where Routings Are Used

Copying Routings

Creating Standard Tasks

Printing the Routing Sheet Report

Setting Up Routing Link Codes

Create Routing Links


Copying Production BOM Versions by Using Copy BOM Version Functions

When working with long production BOMs or slight changes in the versions, it is useful to copy an existing version of a production BOM into a new version or into an existing version. Already existing information on the lines is overwritten in the destination version.

When you use the Copy Functions facility, you get a list of versions to select from.

To Copy Production BOM Versions by Using Copy BOM Version Functions:

  1. Open the [image] Production BOM window.

  2. Click Prod. BOM, Versions.

  3. If you want to create a new version, follow the procedure for how to create new versions. Remember to fill in the new version number before you copy. If you want to copy to an existing version, check whether this version is to be overwritten and make sure the Status field is not set to Certified.

  4. Click Functions, Copy BOM Version.... In the Prod. BOM Version List window, select a version and click OK.

    The lines of the selected BOM are copied into the current version, where you can further edit them.

  5. Change the Status field to Certified.

Related Topics

Copying Production BOM Versions by Using the Copy BOM Header Function

Creating New Versions of Production BOMs

Displaying Lists of Production BOMs


Copying Production BOM Versions by Using the Copy BOM Header Function

When working with long production BOMs or slight changes in the versions, it is useful to copy an existing version of a production BOM into a new version or into an existing version. Already existing lines are overwritten in the destination version.

When you use the Copy BOM Header function, the lines are copied from the first version.

To Copy Production BOM Versions by Using the Copy BOM Header Function:

  1. Open the [image] Production BOM window.

  2. Click Prod. BOM, Versions.

  3. If you want to create a new version, follow the procedure for how to create new versions. Remember to fill in the new version number before you copy. If you want to copy to an existing version, check whether this version is to be overwritten and make sure the Status field is not set to Certified.

  4. Click Functions, Copy BOM Header, and then click Yes.

    The lines of the first BOM version are copied into the current version, where you can further edit them.

  5. Change the Status field to Certified.

Related Topics

Creating New Versions of Production BOMs

Copying Production BOM Versions by Using Copy BOM Version Functions

Displaying Lists of Production BOMs


Displaying Lists of Production BOMs

You can display a list of all existing production BOMs.

To Display Lists of Production BOMs:

  1. Open the [image] Production BOM window.

  2. Click Prod. BOM, List. Select the required production BOM from the Production BOM List window, and then click OK. The selected production BOM is displayed in the Production BOM window.

  3. Close the window.

Related Topics

Creating New Production BOMs


Entering Comments for Production BOMs

You can enter comments for production BOMs. The comments entered are valid for the entire production BOM.

To Enter Comments for Production BOMs:

  1. Open the [image] Production BOM window.

  2. Click Prod. BOM, Comments. In the Comment Sheet window, you can enter any text in the Comment field. You can assign these comments by entering a value in the Date field.

  3. Close the window.

Related Topics

Creating New Production BOMs

Entering Comments for Production BOM Components


Comparing Material Quantities for all Production BOM Versions

The version matrix function offers a comparison of material quantities for each version.

To Compare Material Quantities for all Production BOMs:

  1. Open the [image] Production BOM window.

  2. Click Prod. BOM, Matrix per Version.

    The Prod. BOM Matrix per Version window is divided into two parts: the material (on the left side) and the versions (on the right side). The contents of the matrix are given by the material quantities for each version.

  3. To display the item card, select a line and click Item, Card.

  4. Close the window.

Related Topics

Production BOM Versions

Creating New Versions of Production BOMs


Finding Where Production BOMs Are Used

The Prod. BOM Where-Used window displays where a production BOM is used.

To Find Where Production BOMs Are Used:

  1. Open the [image] Production BOM window.

  2. Click Prod. BOM, Where-Used.

    The quantity in the Quantity Needed field indicates the quantity with consideration of the scrap %. The indentation in the Description field shows the level of use.

  3. Close the window.

Related Topics

Concept for Production BOMs

Finding Where Production BOM Components Are Used

Finding Where Routings Are Used


Finding Where Production BOM Components Are Used

The where-used option displays where a component is used.

To Find Where Production BOM Components Are Used:

  1. Open the [image] Production BOM window.

  2. Select an item line and click Component, Where-Used.

  3. Close the window.

Related Topics

Concept for Production BOMs

Finding Where Production BOMs Are Used


Entering Comments for Production BOM Components

You can enter comments for a single item of a production BOM.

To Enter Comments for Production BOM Components:

  1. Open the [image] Production BOM window.

  2. Click Component, Comments. In the Comment Sheet window, you can enter any text in the Comment field. You can assign these comments by entering a value in the Date field.

  3. Close the window

Related Topics

Entering Comments for Production BOMs

Concept for Production BOMs

Creating New Production BOMs


Copying Production BOMs

You can copy production BOMs. Make sure that the BOM you copy to is not certified. The item lines in the BOM you are copying to are replaced by the lines in the BOM you are copying from.

To Copy Production BOMs:

  1. Open the [image] Production BOM window.

  2. Select or create the BOM you want to copy to. (To create a BOM, on the Menu Bar, click Edit, Insert New. Fill in the No. field.)

  3. Click Functions, Copy BOM.

  4. Select the BOM to copy from.

  5. Click OK to copy the lines into the current BOM.

  6. Close the window.

Related Topics

Concept for Production BOMs

Creating New Production BOMs

Copying Production BOM Versions by Using Copy BOM Version Functions

Copying Production BOM Versions by Using the Copy BOM Header Function


Replacing Production BOM Items

You can run a batch job to automatically:

  • change the status of the current BOM to Under Development.

  • replace items which can no longer be used with new ones.

  • certify the changed BOM, if selected.

  • create new versions, if selected.

To Replace Production BOM Items:

  1. Open the [image] Exchange Production BOM Item window.

  2. Fill in the fields. For Help about a specific field, click the field and press F1.

  3. Click OK to confirm.

Related Topics

Creating New Production BOMs

Creating New Versions of Production BOMs

Deleting Expired Components


Printing the Quantities of Items Needed for BOMs

The Quantity Explosion of BOM report gives you a list of the item quantities of the selected BOM. The production BOM is exploded entirely (over all levels) and printed position by position. The exploded levels are ordered according to their origin of need.

To Print the Quantities of Items Needed for BOMs:

  1. Open the [image] Quantity Explosion of BOM report request form and click Print.

  2. In the Item tab, you can define filters to restrict the report to certain items. All fields of the item master data can be selected as filter criteria.

  3. On the Options tab, you can specify the date the report is to be calculated on.

  4. Click Print to print the report or Preview to see the report on the screen.

Related Topics

Concept for Production BOMs

Production BOM Versions

List Production BOM Structures


Printing Production Costs

The Rolled-Up Cost Shares report gives you a list of the cost share of the individual production BOM positions. The production BOM is exploded entirely (over all levels) and printed position by position.

To Print Production Costs:

  1. Open the [image] Rolled-up Cost Shares report request form and click Print.

  2. In the Item tab, you can define filters to restrict the report to certain items. All fields of the item master data can be selected as filter criteria.

    For Help about a specific field, click the field and press F1.

  3. On the Options tab, you can specify the date the report is to be calculated on.

  4. Click Print to print the report or Preview to see the report on the screen.

On the report, you can see the sums for the material cost, capacity cost, overhead cost and total cost.

Related Topics

Concept for Production BOMs

Production BOM Versions

List Production BOM Structures

Creating New Production BOMs

Creating New Routings


Listing Machine Centers

You can display a list of machine centers.

To List Machine Centers:

  1. Open the [image] Machine Center Card window.

  2. Click Mach. Ctr., List.

  3. Click one of the machine centers, and then click OK to display the selected data on the machine center card.

  4. Close the window.

Related Topics

Structure of the Capacity

Setting Up Machine Centers

Listing Work Centers


Displaying Machine Center Statistics

You can view machine center statistics to get information about expected and actual capacity, quantity and value of production orders, quantity produced, scrap and run/stop time.

To Display Machine Center Statistics:

  1. Open the [image] Machine Center Card window.

  2. Click Mach. Ctr., Statistics.

  3. Close the window.

Related Topics

Structure of the Capacity

Setting Up Machine Centers

Displaying Work Centers


Entering Comments for Machine Centers

You can add any comments to every machine center.

To Enter Comments for Machine Centers:

  1. Open the [image] Machine Center Card window.

  2. Click Mach. Ctr., Comments.

  3. Enter a text in the Comment field, and possibly a date in the Date field if you want the comment to be time related.

  4. To insert a new comment between existing comment lines, click the line in which you want to insert the new comment (the new comment is inserted above this comment).

  5. From the menu bar, select Edit, Insert New to insert an empty comment line.

  6. Close the window.

Related Topics

Structure of the Capacity

Setting Up Machine Centers

Entering Comments for Work Centers


Displaying Machine Center Ledger Entries

From the Machine Center Card window, you can view the posted entries for the machine center.

To Display Ledger Entries:

  1. Open the [image] Machine Center Card window.

  2. Click Mach. Ctr., Capacity Ledger Entries.

    The Capacity Ledger Entries window displays the posted entries from the machine center in the order they were posted.

  3. Close the window.

Related Topics

Structure of the Capacity

Setting Up Machine Centers

Displaying Work Center Ledger Entries


Displaying the Load on Machine Centers

From the machine center card, you can see the load on the machine centers.

To Display the Load on Machine Centers:

  1. Open the [image] Machine Center Card window.

  2. Click Mach. Ctr., Load.

    Use the time interval buttons to select the required period.

  3. Close the window.

Related Topics

Structure of the Capacity

Setting Up Machine Centers

Displaying the Load on Work Centers


Listing Work Centers

You can display a list of work centers.

To List Work Centers:

  1. Open the [image] Work Center Card window.

  2. Click Work Ctr., List.

  3. Click one of the work centers, and then click OK to display the selected data on the work center card.

  4. Close the window.

Related Topics

Structure of the Capacity

Listing Machine Centers

Setting Up Work Centers


Displaying Work Center Statistics

You can view work center statistics to get information about expected and actual capacity, quantity and value of production orders.

To Display Work Center Statistics:

  1. Open the [image] Work Center Card window.

  2. Click Work Ctr., Statistics.

  3. Close the window.

Related Topics

Structure of the Capacity

Displaying Machine Center Statistics

Setting Up Work Centers


Entering Comments for Work Centers

You can add comments to each work center.

To Enter Comments for Work Centers:

  1. Open the [image] Work Center Card window.

  2. Click Work Ctr., Comments.

  3. Enter a text in the Comment field, and possibly a date in the Date field if you want the comment to be time related.

  4. To insert a new comment between existing comment lines, click the line in which you want to insert the new comment (the new comment is inserted above this comment).

  5. From the menu bar, select Edit, Insert New to insert an empty comment line.

  6. Close the window.

Related Topics

Structure of the Capacity

Entering Comments for Machine Centers

Setting Up Work Centers


Displaying Work Center Ledger Entries

From the work center card, you can view the posted entries of the work center.

To Display Work Center Ledger Entries:

  1. Open the [image] Work Center Card window.

  2. Click Work Ctr., Capacity Ledger Entries.

    The Capacity Ledger Entries window displays the posted entries from the work center in the order they were posted.

  3. Close the window.

Related Topics

Structure of the Capacity

Displaying Machine Center Ledger Entries

Setting Up Work Centers


Displaying the Load on Work Centers

From the work center card, you can view the load on the work centers.

To Display the Load on Work Centers:

  1. Open the [image] Work Center Card window.

  2. Click Work Ctr., Load.

    Use the time interval buttons to select the required period.

  3. Close the window.

Related Topics

Structure of the Capacity

Displaying the Load on Machine Centers

Setting Up Work Centers


Entering Time Periods When Machine Centers Cannot Be Used

You can define time periods where machine centers cannot be used.

The machine centers are not assigned their own shop calendar. The shop calendar of the work center is used.

The calendar for the machine center is calculated from the entries of the assigned shop calendar and the calendar absence entries of the machine center.

The result of the calculation are entries in the calendar for the machine center.

To Enter Time Periods When Machine Centers Cannot Be Used:

  1. Open the [image] Machine Center Card window.

  2. On the machine center card, click Planning, Absence.

  3. Fill in the Date, From Time and To Time fields for the planned absence.

    These calendar absence entries are only valid for the selected machine center.

    For Help about a specific field, click the field and press F1.

  4. Click Absence, Update to calculate the calendar entries for the machine center. This must be done every time you enter calendar entries.

Related Topics

Shop Calendars

Updating Calendar Entries for Machine Centers

Recalculating Calendar Entries for Machine Centers

Entering Time Periods When Work Centers Cannot Be Used


Updating Calendar Entries for Machine Centers

After creating a new machine center, no calendar entries exist. Changes in the absence or the used shop calendar are not immediately visible, either. When the absence of the machine center is entered, the calendar entries for the machine center must be calculated again.

To Update Calendar Entries for Machine Centers:

  1. Open the [image] Machine Center Card window.

  2. On the machine center card, click Planning, Calendar.

  3. In the Machine Center Calendar window, click Functions, Calculate.

  4. Click the Machine Center tab and select the machine centers to be recalculated by setting a filter.

  5. On the Options tab, fill in the Starting Date and Ending Date fields for which the calendar entries are to be calculated.

    For Help about a specific field, click the field and press F1.

  6. Click OK to calculate the calendar entries for the selected period.

Attention

The calculation of calendar entries overwrites any manual changes made to the calendar entries.

Related Topics

Shop Calendars

Setting Up Machine Centers

Entering Time Periods When Machine Centers Cannot Be Used

Recalculating Calendar Entries for Machine Centers

Updating Calendar Entries for Work Centers


Recalculating Calendar Entries for Machine Centers

You can update the calendar entries after making changes in the shop calendar. The existing calendar entries are checked to make sure they correspond to the shop calendar. The appropriate calendar entry is corrected if deviations are determined.

To Recalculate Calendar Entries for Machine Centers:

  1. Open the [image] Machine Center Card window.

  2. On the machine center card, click Planning, Calendar.

  3. In the Machine Center Calendar window, select the machine centers to be recalculated and click Functions, Recalculate.

  4. Set a filter by filling in the fields on the Calendar Entry tab.

    For Help about a specific field, click the field and press F1.

  5. Click OK to recalculate the calendar entries.

Attention

The recalculation of calendar entries overwrites any manual changes made to the calendar entries.

Since only existing calendar entries of the machine center are validated, the function cannot create new calendar entries.

Related Topics

Shop Calendars

Entering Time Periods When Machine Centers Cannot Be Used

Updating Calendar Entries for Machine Centers

Recalculating Calendar Entries for Work Centers


Entering Time Periods When Work Centers Cannot Be Used

The calendar for the work center is calculated from the entries of the assigned shop calendar and the calendar absence entries of the work center.

The result of the calculation is entries in the calendar for the work center.

To Enter Time Periods When Work Centers Cannot Be Used:

  1. Open the [image] Work Center Card window.

  2. Click Planning, Absence on the work center card.

  3. Fill in the Date, From Time and To Time fields for the planned absence.

    These calendar absence entries are only valid for the selected work center.

    For Help about a specific field, click the field and press F1.

  4. Click Absence, Update to calculate the calendar entries for the work center. This must be done every time you enter an absence period.

Related Topics

Shop Calendars

Entering Time Periods When Machine Centers Cannot Be Used

Updating Calendar Entries for Work Centers

Recalculating Calendar Entries for Work Centers


Updating Calendar Entries for Work Centers

You can use the calculate facility to create new calendar entries. If old entries already exist, they will be deleted when you run this function.

To Update Calendar Entries for Work Centers:

  1. Open the [image] Work Center Card window.

  2. On the work center card, click Planning, Calendar.

  3. In the Work Center Calendar window, click Functions, Calculate.

  4. Click the Work Center tab and select the work centers to be calculated by setting a filter.

  5. On the Options tab, fill in the starting and ending date for which the calendar entries are to be calculated.

    For Help about a specific field, click the field and press F1.

  6. Click OK to calculate the calendar entries for the selected period.

Attention

The calculation of calendar entries overwrites any manual changes made to the calendar entries.

Related Topics

Shop Calendars

Updating Calendar Entries for Machine Centers

Entering Time Periods When Work Centers Cannot Be Used

Recalculating Calendar Entries for Work Centers


Recalculating Calendar Entries for Work Centers

You can update the calendar entries after changes in the shop calendar. The existing calendar entries are checked to make sure they correspond to the shop calendar. The appropriate calendar entry is corrected if deviations are determined.

To Recalculate Calendar Entries for Work Centers:

  1. Open the [image] Work Center Card window.

  2. On the work center card, click Planning, Calendar.

  3. In the Work Center Calendar window, select the work centers to be recalculated and click Functions, Recalculate.

  4. Set a filter by filling in the fields on the Calendar Entry tab.

    For Help about a specific field, click the field and press F1.

  5. Click OK to recalculate the calendar entries.

Attention

The recalculation of calendar entries overwrites any manual changes made to the calendar entries.

Since only existing calendar entries of the work center are validated, the function cannot create new calendar entries.

Related Topics

Shop Calendars

Recalculating Calendar Entries for Machine Centers

Entering Time Periods When Work Centers Cannot Be Used

Updating Calendar Entries for Work Centers

Create A Work Center Calendar


Entering Comments for Routings

You can enter comments for the routings.

To Enter Comments for Routings:

  1. Open the [image] Routing window.

  2. Select Routing, Comments.

  3. In the Comment Sheet window, you can enter any text in the Comment field.

  4. Close the window.

Related Topics

Creating New Routings

Entering Comments for Operations


Entering Comments for Operations

You can enter comments for each operation in a routing.

To Enter Comments for Operations:

  1. Open the [image] Routing window.

  2. Select Operation, Comments.

  3. In the Comment Sheet window, you can enter any text in the Comment field.

  4. Close the window.

Related Topics

Entering Comments for Routings

Creating New Routings


Assigning Tools to Operations

You can assign any tools to a routing line (that is, an operation). The assigned tools specify which special tool is to be used to process the operation. This specification is used for special tools, precision tools and quality measures.

To Assign Tools to Operations:

  1. Open the [image] Routing window.

  2. Select the operation by clicking the line to be processed.

  3. Click Operation, Tools.

  4. Fill in the fields in the Routing Tools window. For Help about a specific field, click the field and press F1.

  5. Press Esc to exit the window. The entered values are copied and assigned to the operation.

Related Topics

Creating New Routings

Assigning Personnel to Operations

Assigning Quality Measures to Operations

Assigning Tools to Standard Tasks


Assigning Personnel to Operations

If you require personnel with qualifications, special knowledge or special authorization for the operation, you can assign this personnel to the operation.

To Assign Personnel to Operations:

  1. Open the [image] Routing window.

  2. Select the operation by clicking the line to be processed.

  3. Click Operation, Personnel.

  4. Fill in the fields in the Routing Personnel window. For Help about a specific field, click the field and press F1.

  5. Press Esc to exit the window. The entered values are copied and assigned to the operation.

Related Topics

Creating New Routings

Assigning Tools to Operations

Assigning Quality Measures to Operations

Assigning Personnel to Standard Tasks


Assigning Quality Measures to Operations

You can assign any quality measures to an operation. The assigned quality measures specify the features and tolerances to be tested for quality assurance.

To Assign Quality Measures to Operations:

  1. Open the [image] Routing window.

  2. Select the operation by clicking the operation line to be processed.

  3. Click Operation, Quality Measures.

  4. Press Esc to exit the window. The entered values are copied and assigned to the operation.

Related Topics

Assigning Tools to Operations

Creating New Routings

Assigning Personnel to Operations

Assigning Quality Measures to Standard Tasks


Listing all Routings

You can display a list of all routings.

To List all Routings:

  1. Open the [image] Routing window.

  2. Click Routing, List. Select the required routing and click OK to have the Routing window displayed.

  3. Close the window.

Related Topics

Creating New Routings


Finding Where Routings Are Used

You can use the Where-used facility to find out which items use a certain routing.

To Find Where Routings Are Used:

  1. Open the [image] Routing window.

  2. Click Routing, Where-Used. The Where-Used window shows all items (evaluation of the item master data) in which reference is made to this routing in the Routing No. field.

  3. Close the window.

Related Topics

Creating New Routings

Finding Where Production BOMs Are Used


Copying Routings

You can copy routings. This is useful for long routings or when slight changes are to be made. You can copy an existing version of a routing into a new or existing one. The copy function deletes old lines in the current routing.

To Copy Routings:

  1. Open the [image] Routing window.

  2. If you want to create a new routing, place the cursor in the header part of the window and click Edit, Insert New on the menu bar. Fill in the No. field of the new routing.

    To copy to an existing routing, click Routing, List and select the routing you want to copy to. Check whether this version is to be overwritten and make sure the status is not set to Certified. It is not possible to change if the status is Certified.

  3. Click Functions, Copy Routing. A routing list appears. Select the routing you want to copy from and click OK.

    The routing lines of the source version are copied into the current version and can be further processed from there.

  4. Change the Status field to Certified.

Related Topics

Create a Routing

Creating New Routings

Copying Routing Versions

Listing all Routings


Assigning Tools to Standard Tasks

You can assign any tools to standard tasks. The assigned tools specify which special tool is to be used for processing the task. The specification is useful for special tools, precision tools and quality measures.

To Assign Tools to Standard Tasks:

  1. Open the [image] Standard Tasks window.

  2. Select the standard task to be processed.

  3. Click Std. Task, Tools. Fill in the fields. For Help about a specific field, click the field and press F1.

  4. Press Esc to close the window.

The entered values are copied and assigned to the standard task.

Related Topics

Assigning Tools to Operations

Creating Standard Tasks

Assigning Personnel to Standard Tasks

Assigning Quality Measures to Standard Tasks


Assigning Personnel to Standard Tasks

If you require personnel with qualifications, special knowledge or special authorization for a special task, you can assign these people to the task.

To Assign Personnel to Standard Tasks:

  1. Open the [image] Standard Tasks window.

  2. Select the standard task by clicking the line of the standard task to be processed.

  3. Click Std. Task, Personnel. Fill in the fields. For Help about a specific fields, click the field and press F1.

  4. Press Esc to close the window.

The entered values are copied and assigned to the standard task.

Related Topics

Assigning Personnel to Operations

Creating Standard Tasks

Assigning Tools to Standard Tasks

Assigning Quality Measures to Standard Tasks


Entering Descriptions of Standard Tasks

You can enter descriptions of standard tasks.

To Enter Descriptions of Standard Tasks:

  1. Open the [image] Standard Tasks window.

  2. Select the standard task by clicking the line of the standard task to be processed.

  3. Click Std.Task, Description.

  4. Fill in the fields. For Help about a specific field, click the field and press F1.

    To insert a text between existing lines, click the line preceding the new text to be entered. Select Edit, Insert New (from the menu bar). A new line is inserted, which you can now fill in.

  5. Press Esc to close the window.

Related Topics

Creating Standard Tasks


Assigning Quality Measures to Standard Tasks

You can assign any quality measures to the standard task. The assigned quality measures give specifications of the features and tolerances to be tested for quality assurance.

To Assign Quality Measures to Standard Tasks:

  1. Open the [image] Routing window.

  2. Select the standard task by clicking the standard task line to be processed.

  3. Click Std.Task, Quality Measures.

  4. Click the AssistButton.

  5. In an empty line of the Quality Measures window, enter a unique code (any combination of numbers and letters). Fill in the Description field.

  6. Press Esc to close the window.

The entered values are copied and assigned to the standard task.

Related Topics

Assigning Quality Measures to Operations

Creating Standard Tasks

Assigning Tools to Standard Tasks

Assigning Personnel to Standard Tasks


Printing the Routing Sheet Report

The structure of the routing can be shown by printing the following report.

To Print the Routing Sheet Report:

  1. Open the [image] Routing Sheet report request form and click Print.

  2. Click the Item tab and enter a filter for the relevant item.

  3. Click the Options tab and make your selection.

  4. Click Print to print the report or Preview to display it on the screen.

Related Topics

Creating New Routings


Viewing Finished Production Orders

All finished production orders are archived when their status has been changed from Released to Finished. They can later be viewed with their entire history.

To View Finished Production Orders:

  1. Open the [image] Finished Production Order window.

  2. If you click Prod. Order, you can choose between the following options:

    List

With this function, you get a list of finished production orders. From this list, you can select and view a data set.

    Ledger Entries

The ledger entries resulting from this production order are displayed when you select this function.

    Comments

By selecting this function, you can view the entered comments for the production order.

Dimensions

View the dimension used for the production order line.

    Statistics

The Finished Prod. Order Stat. window opens.

  3. If you click Item, you can choose between the following options:

    Routing

The relevant production order routing is displayed.

    Components

The components used in the production order BOM are displayed.

Related Topics

Finishing Production Orders

Releasing Production Orders Automatically

Releasing Production Orders by Status Change


Entering Master Data for Consumption Calculation

The method for the calculation of the consumption posting time is assigned to the item's master data.

To Enter Master Data for Consumption Calculation:

  1. Open the [image] Item Card window.

  2. On the Replenishment tab, fill in the Flushing Method field to select the method the program must use when it calculates the consumption.

Related Topics

Posting Consumption Manually


Entering Master Data for Output Posting

To post work progress automatically, you must assign a flushing method to the machine center or the work center.

To Enter Master Data for Output Posting:

  1. Open the [image] Machine Center Card window.

  2. Fill in the Flushing Method field on the Posting tab. You can choose from the following options:

    Flushing Method

    Manual

    Manual posting of consumption in the output journal.

    Forward

    Automatic posting of planned run time and output quantity upon releasing the production order.

    Backward

    Automatic posting of planned run time and output quantity upon finishing the production order.

  3. Enter the flushing method on the work center card as well, by clicking Cap. Reqts. Planning, Work Centers.

Related Topics

Posting Output Quantity

Posting Run Time


Calculating Low-Level Codes

Each item in a production BOM must have a low-level code.

The low-level codes can be calculated using the Calculate Low-Level Code batch job.

To Calculate Low-Level Codes:

  1. Open the [image] Manufacturing Setup window.

  2. Remove the check mark from the Dynamic Low-Level Code field, and then close the Manufacturing Setup window.

  3. Click Manufacturing, Periodic Activities, Calculate Low-Level Code.

  4. Click Yes to calculate the low-level codes.

Related Topics

Concept for Production BOMs

Creating New Production BOMs


Assigning Gen. Prod. Posting Groups to Work Centers and Machine Centers

You must assign a general product posting group to each work center and machine center in order to set up capacity and subcontractor costing.

To Assign Gen. Prod. Posting Groups to Work Centers and Machine Centers:

  1. Open the [image] Work Center Card window.

  2. On the Posting Tab, fill in the Gen. Prod. Posting Group field.

  3. You use the same procedure to assign a general product posting group to a machine center. However, you do this from the machine center card.

Related Topics

Setting Up Work Centers

Setting Up Machine Centers

Setting Up Work Center Groups


Viewing Item Availability in the Planning Worksheet

You can get an overview of the availability of items.

In the following, the item availability by period is described. You can also view the availability by variant or location.

To View Item Availability in the Planning Worksheet:

  1. Open the [image] Planning Worksheet window.

  2. Make sure that you have entries in the Planning Worksheet window.

  3. From the Planning Worksheet window, select the line that contains the item you want to see the availability of.

  4. Click Item, Item Availability By, Period.

  5. Select the desired time interval by clicking the buttons in the lower left-hand corner of the window.

Related Topics

Calculating the Planning Worksheet (Running MPS/MRP)


Setting Up Order Promising

The Order Promising feature enables you to promise an order to be shipped or delivered on a specific date. The program calculates the date that an item is available to promise or capable to promise, and it will create order lines for those dates that you accept.

To Set Up Order Promising:

  1. Open the [image] Order Promising Setup window.

  2. Enter a number and time unit code in the Offset (Time) field. Select one of the following codes: "d" for calendar day, "w" for week, "m" for month, "q" for quarter or "y" for year. For example, "3w" indicates that the offset time is three weeks. Use "c" as a prefix to any of these codes to indicate the current time unit. For example, if you want the offset time to be the current month, enter "cm."

  3. Enter a number series in the Order Promising Nos. field by clicking the AssistButton and selecting a line from the list in the No. Series window.

  4. Enter an order promising template in the Order Promising Template field by clicking the AssistButton and selecting a line from the list in the Req. Worksheet Template List window.

  5. Enter a requisition worksheet in the Order Promising Worksheet field by clicking the AssistButton and selecting a line from the list on the Req. Wksh. Names window.

For Help about a specific field, click the field and press F1.


Calculating Order Promising Dates

The order promising function is a tool for calculating the earliest possible date that an item is available for shipment or delivery. It also creates requisition lines for those dates that you accept.

To Make an Item Critical:

  1. Open the [image] Item Card window and click the Planning tab.

  2. Place a checkmark in the Critical field.

To Calculate an Order Promising Date:

  1. Open the [image] Sales Order window and select the sales order line(s) that you want the program to calculate.

  2. Click Functions, Order Promising. The Order Promising Lines window appears.

  3. Select a line and click Calculate.

  4. Select Available-to-Promise if you want the program to calculate the earliest date that the item will be available with respect to inventory, scheduled receipts and gross requirements. Select Capable-to-Promise if you know that the item is presently out of stock and you want the program to calculate the earliest date that the item can be available by issuing new replenishment (purchase and/or production) requisitions.

  5. Click Accept to accept the earliest shipment date that the program calculated.

Related Topics

Order Promising Setup


Setting Up a Base Calendar

The main task in setting up a new base calendar is to specify and define the nonworking days that you want to apply.

To Set Up a Base Calendar:

  1. Open the [image] Base Calendar Card window.

  2. In the Code field, press F3 to create a new base calendar card. You must fill in the Code field.

  3. At this point, the calendar lists all date entries as working days. To register nonworking days, click Functions, Maintain Base Calendar Changes. The Base Calendar Changes window appears.

  4. You can use the Recurring System field to mark a particular date or day as a recurring nonworking day. You can select either the Annual Recurring or Weekly Recurring option. If you select Annual Recurring, you must also enter the relevant date in the Date field. If you select Weekly Recurring, you must also select the relevant day of the week in the Day field.
    If you leave the field empty, you must fill in the Date field. The program will fill in the Day field automatically. This could be useful if you want to mark an individual date as a nonworking (or working) day.

  5. When you make an entry, the program places a checkmark in the Nonworking field. (You can remove the checkmark if you want. You can also delete an entry.)

  6. When you return to the base calendar card, you will observe that the program has dynamically updated the nonworking day entries that you made. These entries now appear in red and the program has placed a checkmark in the Nonworking field.

Note

When setting up a new base calendar, you can select and copy lines from an existing calendar. You do this in the relevant Base Calendar Changes window.

Related Topics

Assigning a Base Calendar

Customizing a Calendar

Create a Work Center Calendar


Assigning a Base Calendar

You can assign a base calendar to your company and its business partners, such as customers, vendors or locations. The program will calculate delivery and receipt dates on future sales order, purchase order, transfer order and production order lines according to the calendar’s specified working days.

The following procedure uses the case of a customer (and scheduling delivery dates on sales order lines) as an example. Note that at this point, you have already set up a base calendar.

To Assign a Base Calendar:

  1. Open the [image] Customer Card window.

  2. Page up or down to locate the customer for whom you will set up a customized calendar.

  3. On the Shipping tab, fill in the Base Calendar Code field. Click the AssistButton to view the Base Calendar List window.

  4. Select the base calendar that you want to assign to your customer and click OK.

  • When assigning a base calendar to your own company, the Base Calendar Code field is found under Company Information, Shipping tab.

  • When assigning a base calendar to a vendor, the Base Calendar Code field is found on the Vendor card, Receiving tab.

  • When assigning a base calendar to a location, the Base Calendar Code field is found on the Location card, Warehouse tab.

  • When assigning a base calendar to a shipping agent, the Base Calendar Code field is found on the Shipping Agent Services window under Warehouse Management, Setup.

Attention

  • If you do not assign a base calendar to a company, the program will calculate all dates as working days.

  • If you enter a blank location on an order line, the program will calculate all dates as working days.

Note

Before you can make customized calendar entries, you must first assign a base calendar to the company.

Related Topics

Setting Up a Base Calendar

Customizing a Calendar


Customizing a Calendar

The main task in customizing a base calendar for your company, or one of its business partners, is to enter any changes to working and nonworking day status.

For example, while a base calendar would typically list all Saturdays as nonworking days, the customized calendar for a particular location may list all Saturdays during the months of November and December, and leading up to the holiday season, as working days.

The following procedure uses the case of the location as an example. Note that at this point, you have already assigned a base calendar to the location.

To Customize a Calendar:

  1. Open the [image] Location Card window and select a location.

  2. On the Warehouse tab, click the AssistButton in the Customized Calendar field,.
    The Customized Calendar Entries window appears. At this point, the date entries are the same as those in the base calendar. Nonworking day entries appear in red, and the program puts a checkmark in the Nonworking field.

  3. Click Functions, Maintain Customized Calendar Changes.
    The Customized Calendar Changes window appears.

  4. When you enter a line, the program automatically puts a checkmark in the Nonworking field. You can remove the checkmark if you want to change the status to working day.

  5. You can use the Recurring System field to mark a particular date or day as a recurring nonworking day. You can select either the Annual Recurring or Weekly Recurring option. If you select Annual Recurring, you must also enter the relevant date in the Date field. If you select Weekly Recurring, you must also select the relevant day of the week in the Day field.
    If you leave the field empty, you must fill in the Date field. The program will fill in the Day field automatically. This could be useful if you want to mark an individual date as a nonworking or working day.

  6. When you return to the Customized Calendar Entries window, you will observe that the program has dynamically updated the date entries with the changes that you made.

  7. When you return to the Location card, you will observe that the Customized Calendar field contains the word Yes, indicating that a customized calendar has been set up.

Attention

  • If you do not fill in the Location Code field on an order line, the program will use your company’s calendar.

  • If you do not fill in the Shipping Agent Code field on the order line, the program will use your company’s calendar.

Note

If you make changes to a base calendar for which customized calendar changes exist, the program automatically updates all existing customized calendars.

Related Topics

Setting Up a Base Calendar

Assigning a Base Calendar


Assigning Bin Codes on Journal Lines

When you create a consumption journal or an output journal, and the warehouse location where the items are either stored or will be stored is set up to use bins but not directed put-away and pick, you assign a bin code to the journal line to indicate that the item will either come from or be placed in that bin. The process to assign a bin code to a journal line is described below. For simplicity, the example of a consumption journal is used.

To assign a bin code to a journal line:

  1. On the journal line, if the Location Code and Bin Code field are not visible, click the journal line and, then, on the menu bar, click View, Show Column to make the location code and bin code fields visible.

  2. Enter the line information as usual, and fill in the location code and bin code. To select a bin code from a list of bins in the location, click the AssistButton to the right of the Bin Code field.

If the item has a default bin assigned, the program will automatically fill in the Bin Code field with the item's default bin for that location when you enter the location code on the line.

Note

To facilitate the putting away or picking of items, you can print out the document lines with the bin code information by clicking Print on the journal window.

  3. Complete the journal and post it as usual.

During the posting, the program will create warehouse entries to record the item quantity in the bin.


Setting Up Subcontracting

Subcontract Work Centers

Subcontract work centers are set up the same as regular work centers with additional information. They are assigned to routings in the same manner as other work centers. When the purchase order is received, it is just like completing the operational step. Keep in mind that if the subcontractor step is the last step in the routing, the output is posted when you receive the purchase order. The fields that are important for subcontract work centers are:

  • This Subcontractor No. field designates the work center as a subcontract work center. Here you can enter the number of a subcontractor who supplies the work center. This field can be used to administrate work centers, which are not in-house but perform processing under contract. This field looks up to a list of vendors.

  • The Unit Cost Calculation field is often set to Units on a subcontract work center. The unit cost generated for a purchase order from a production order routing step is based on a unit charge rather than a measurement of time (such as per hour).

  • If you subcontract with the vendor for a different rate for each process, then you may place a check mark in the Specific Unit Cost field. This allows you to set up a cost on each routing line and saves the time of re-entering the information on each purchase order. The cost on the routing line is used in processing rather than the cost on the work center cost fields. Enabling Specific Unit Cost allows the system to calculate costs for the vendor by the routing operation.

    • If you subcontract at a single rate per vendor, leave the Specific Unit Cost field blank. The costs will be set up by filling in Direct Unit Cost, Indirect Cost %, and Overhead Rate fields.

To use the subcontract work center in a routing, you must calculate the calendar.

Routings that use Subcontract Work Centers

Subcontract work centers can be used for operations on routings in exactly the same way as regular work centers.

You can set up a routing that uses an outside work center as a standard operational step. Alternatively, you can modify the routing for a particular production order to include an outside operation. This might be needed in an emergency situation such as a machine breaking down, or during a temporary period of higher demand, where the work normally performed in-house must be sent to a subcontractor.

Related Topics

About Subcontracting

Using the Subcontracting Worksheet


Using the Subcontracting Worksheet

The Subcontracting Worksheet operates like the Planning Worksheet and the Requisition Worksheet: it quickly calculates information and allows you to review it. Once you have approved the information, the relevant document, in this case a purchase order, is created. Note that only production orders with a status of released can be accessed and used from a subcontracting worksheet.

Calculating the Subcontracting Worksheet

  1. Open the [image] Subcontracting Worksheet window.

  2. To calculate the worksheet, click Functions, Calculate Subcontracts. The report selection screen has three Show tabs.

    The Work Center tab allows you to set filters on the Work Center Card information so that you can focus on certain vendors or processes. The Work Center No. and Subcontractor No. default as filter fields.

    The Production Order Routing Line tab has Prod. Order No. and Starting Date so that you can focus on certain items being produced or a certain time frame.

    The Options tab has one field: Order Date. The date you enter in this field flows to the Order Date field in the worksheet. The Due Date is calculated from this date.

    Setting filters on either of the first two tabs limit the information that is brought into the Subcontracting Worksheet.

  3. Click OK.

Review the lines on the Subcontracting Worksheet. The information in this worksheet comes from the production order and production order routing lines and flows to the purchase order when that document is created. For Help about a specific field, click the field and press F1. As with the other worksheets, you can delete a row from the worksheet without affecting the original information. The information will reappear the next time the Calculate Subcontracts function is run.

Generating the Subcontract Purchase Order

If all subcontracting operations are to be sent to the same vendor location, only one purchase order is created. If multiple vendors are named, multiple purchase orders are created.

  1. To generate the purchase order(s), click Functions, Carry Out Action Messages.

  2. On the Options tab you can place a check mark in the Print Orders field to print the purchase order as it is created.

  3. Click OK.

The line(s) turned into a purchase order is deleted from the worksheet. Once a purchase order is created, the information does not appear again, thus preventing the accidental creation of multiple purchase orders for the same process.

Related Topics

About Subcontracting

Posting Subcontract Purchase Orders

Setting Up Subcontracting


Calculating Finished Production Order Costs

Finishing the production order is an important task in completing the costing lifecycle of the item that is being produced. Final costs (variances in a standard cost environment; actuals in a FIFO, average, or LIFO cost environment) are calculated using the Adjust Cost - Item Entries batch job, which allows for financial reconciliation of the costs of item production. For a production order to be considered for cost adjustment, the status must be Finished. It is therefore critical that upon completion, the status of a production order is changed to Finished.

For instance, in a standard cost environment, when you consume material to produce an item, stated simply, the cost of the item plus labor and overhead go into WIP; when the item is produced, WIP is reduced by the amount of the standard cost of the item. Typically, these costs do not net to zero. So that these costs can net to zero, you must run the Adjust Cost - Item Entries batch job, noting that only production orders with the status of Finished will be considered for adjustment.

Related Topics

About Production Orders

Finishing Production Orders

Processing Production Orders


Using the Manufacturing Batch Unit of Measure

If an item is stocked in one unit of measure but produced in another, the program can create a production order that uses a manufacturing batch unit of measure to calculate the correct quantity of the components during the Refresh Production Order batch job. An example of the manufacturing batch unit of measure calculation is when a manufactured item is stocked in pieces but produced in tons.

To Create a Production BOM using the Batch Unit of Measure:

The manufacturing batch unit of measure is used as the Unit of Measure Code on the Production BOM header. Once the header is completed, the component lines are added, using quantities that reflect the amount needed to produce the item in the designated batch unit of measure.

  1. The manufacturing batch unit of measure is set up as an alternative unit of measure in the Item Units of Measure window on the item to be produced. The batch unit of measure will not replace the Base Unit of Measure on the item.

    1. If it doesn't already exist, you may need to add the manufacturing batch unit of measure code to the Units of Measure window.

  2. Create a Production BOM for the item set up with the manufacturing batch unit of measure.

    1. In the Unit of Measure Code field, click the AssistButton [image] and select the manufacturing batch unit of measure.

    2. For each Production BOM line, in the Quantity Per field, enter the quantity of this component item, required to create this batch unit of measure.

  3. Open the [image] Item Card for the related item.

    1. Click the Replenishment tab and in the Production BOM No. field, click the AssistButton [image] and select the Production BOM created above.

  4. Create a production order header using the item set up with the manufacturing batch unit of measure.

    1. Click Functions, Refresh and click OK.

To view the results, click Lines, Components. The program calculates the correct quantity of the components needed to satisfy the production BOM based on the manufacturing batch unit of measure.

To Calculate a Manufacturing Batch Unit of Measure on a Production Order:

While the manufacturing batch unit of measure is set up on the Production BOM, it can also be set up on production orders that require a unit of measure that is different than the one specified on the Production BOM.

  1. Create a production order header using the item set up with the manufacturing batch unit of measure.

  2. In the Item No. field in the Production Order line, type the same item number used in the header.

  3. In the Quantity field, enter the same quantity used in the header.

  4. In the Unit of Measure Code field, click the AssistButton [image] and select the manufacturing batch unit of measure code.

  5. Click Functions, Refresh.

    1. Click the Options tab and in the Calculate option, uncheck the Lines field.

    2. Click OK.

To view the results, click Lines, Components. The program calculates the correct quantity of the components needed to satisfy the production BOM based on the manufacturing batch unit of measure.

Related Topics

Calculating Lines from Production Order Headers

Calculating Production Order Components

Processing Production Orders

Refresh a Production Order

Units of Measure